#pragma region Copyright (c) 2014-2016 OpenRCT2 Developers
/*****************************************************************************
 * OpenRCT2, an open source clone of Roller Coaster Tycoon 2.
 *
 * OpenRCT2 is the work of many authors, a full list can be found in contributors.md
 * For more information, visit https://github.com/OpenRCT2/OpenRCT2
 *
 * OpenRCT2 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * A full copy of the GNU General Public License can be found in licence.txt
 *****************************************************************************/
#pragma endregion

#include "../world/sprite.h"

static const uint8 PeepSpriteImage_982888_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982888_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_982888_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_982888_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_982888_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_982888_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982888_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_982888_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982888_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_982888_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_982888_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_982888_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_982888_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_982888_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982888_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_982888_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_985F50_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_985F50_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_985F50_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_985F50_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_985F50_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_985F50_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_985F50_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_985F50_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_985F50_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_985F50_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_985F50_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_985F50_17_unk04[] = { 65, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 4, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_985F50_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_985F50_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985F50_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_985F50_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9861B4_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9861B4_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9861B4_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_9861B4_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9861B4_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9861B4_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9861B4_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9861B4_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9861B4_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9861B4_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9861B4_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9861B4_17_unk04[] = { 65, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 4, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_9861B4_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_9861B4_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9861B4_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9861B4_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9865D8_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9865D8_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9865D8_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_9865D8_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9865D8_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9865D8_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9865D8_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9865D8_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9865D8_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9865D8_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9865D8_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9865D8_17_unk04[] = { 64, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 4, 5, 6, 0xFF };
static const uint8 PeepSpriteImage_9865D8_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_9865D8_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9865D8_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9865D8_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9869B4_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9869B4_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9869B4_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_3_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 4, 3, 4, 5, 4, 3, 4, 5, 4, 3, 4, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9869B4_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9869B4_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9869B4_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9869B4_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9869B4_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9869B4_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9869B4_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9869B4_17_unk04[] = { 64, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 4, 5, 6, 0xFF };
static const uint8 PeepSpriteImage_9869B4_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_26_unk04[] = { 64, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0xFF };
static const uint8 PeepSpriteImage_9869B4_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_30_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 4, 3, 4, 5, 4, 3, 4, 5, 4, 3, 4, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9869B4_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9869B4_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_986C28_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_986C28_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_986C28_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_3_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 4, 3, 4, 5, 4, 3, 4, 5, 4, 3, 4, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_986C28_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_986C28_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_986C28_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_986C28_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_986C28_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_986C28_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_986C28_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_986C28_17_unk04[] = { 64, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 4, 5, 6, 0xFF };
static const uint8 PeepSpriteImage_986C28_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_26_unk04[] = { 78, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 25, 25, 25, 25, 0xFF };
static const uint8 PeepSpriteImage_986C28_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_30_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 4, 3, 4, 5, 4, 3, 4, 5, 4, 3, 4, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986C28_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_986C28_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_986EA8_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_986EA8_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_986EA8_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_3_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 3, 4, 5, 6, 5, 4, 3, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_986EA8_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_986EA8_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_986EA8_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_986EA8_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_986EA8_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_986EA8_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_986EA8_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_986EA8_17_unk04[] = { 67, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 4, 5, 6, 7, 8, 9, 0xFF };
static const uint8 PeepSpriteImage_986EA8_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_26_unk04[] = { 79, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 0xFF };
static const uint8 PeepSpriteImage_986EA8_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 3, 4, 5, 6, 5, 4, 3, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_986EA8_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_986EA8_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_987130_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987130_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_987130_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_3_unk04[] = { 21, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 7, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_987130_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_987130_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987130_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_987130_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987130_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_987130_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_987130_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_987130_17_unk04[] = { 65, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_987130_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_26_unk04[] = { 144, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 14, 13, 12, 11, 10, 11, 12, 13, 14, 15, 14, 13, 12, 11, 10, 11, 12, 13, 14, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 4, 4, 4, 4, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 14, 13, 12, 11, 10, 11, 12, 13, 14, 15, 14, 13, 12, 11, 10, 11, 12, 13, 14, 15, 14, 13, 12, 11, 10, 11, 12, 13, 14, 15, 16, 16, 16, 16, 16, 17, 18, 19, 20, 21, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 23, 24, 25, 26, 27, 28, 28, 28, 29, 30, 31, 32, 32, 32, 32, 32, 33, 34, 35, 36, 37, 38, 0xFF };
static const uint8 PeepSpriteImage_987130_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_30_unk04[] = { 21, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 7, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987130_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_987130_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9873F4_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9873F4_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9873F4_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_3_unk04[] = { 39, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 9, 8, 7, 8, 9, 10, 9, 8, 7, 8, 9, 10, 9, 8, 7, 8, 9, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9873F4_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9873F4_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9873F4_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9873F4_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9873F4_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9873F4_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9873F4_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9873F4_17_unk04[] = { 66, 0, 1, 2, 3, 4, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 4, 3, 2, 1, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9873F4_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_26_unk04[] = { 39, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 9, 8, 7, 8, 9, 10, 9, 8, 7, 8, 9, 10, 9, 8, 7, 8, 9, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_30_unk04[] = { 39, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 9, 8, 7, 8, 9, 10, 9, 8, 7, 8, 9, 10, 9, 8, 7, 8, 9, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9873F4_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9873F4_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_987638_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987638_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_987638_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_3_unk04[] = { 65, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 31, 31, 31, 32, 33, 0xFF };
static const uint8 PeepSpriteImage_987638_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_987638_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_987638_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987638_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_987638_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987638_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_987638_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_987638_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_987638_17_unk04[] = { 61, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 8, 9, 0xFF };
static const uint8 PeepSpriteImage_987638_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_26_unk04[] = { 65, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 31, 31, 31, 32, 33, 0xFF };
static const uint8 PeepSpriteImage_987638_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_30_unk04[] = { 65, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 31, 31, 31, 32, 33, 0xFF };
static const uint8 PeepSpriteImage_987638_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987638_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_987638_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_987890_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987890_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_987890_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_3_unk04[] = { 47, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 7, 7, 7, 8, 9, 10, 11, 12, 12, 12, 12, 12, 13, 14, 15, 16, 17, 17, 17, 17, 17, 18, 19, 20, 21, 22, 23, 23, 23, 23, 23, 24, 25, 26, 27, 0xFF };
static const uint8 PeepSpriteImage_987890_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_987890_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_987890_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987890_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_987890_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987890_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_987890_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_987890_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_987890_17_unk04[] = { 66, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_987890_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_26_unk04[] = { 47, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 7, 7, 7, 8, 9, 10, 11, 12, 12, 12, 12, 12, 13, 14, 15, 16, 17, 17, 17, 17, 17, 18, 19, 20, 21, 22, 23, 23, 23, 23, 23, 24, 25, 26, 27, 0xFF };
static const uint8 PeepSpriteImage_987890_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_30_unk04[] = { 47, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 7, 7, 7, 8, 9, 10, 11, 12, 12, 12, 12, 12, 13, 14, 15, 16, 17, 17, 17, 17, 17, 18, 19, 20, 21, 22, 23, 23, 23, 23, 23, 24, 25, 26, 27, 0xFF };
static const uint8 PeepSpriteImage_987890_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987890_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_987890_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_987ADC_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987ADC_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_987ADC_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_3_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 7, 8, 9, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_987ADC_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_987ADC_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987ADC_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_987ADC_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987ADC_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_987ADC_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_987ADC_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_987ADC_17_unk04[] = { 63, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_987ADC_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_26_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 7, 8, 9, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_30_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 7, 8, 9, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987ADC_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_987ADC_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_987D08_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987D08_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_987D08_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_3_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 12, 13, 13, 13, 13, 13, 14, 15, 16, 17, 17, 17, 17, 17, 18, 19, 20, 21, 22, 21, 20, 19, 20, 21, 22, 21, 20, 19, 20, 21, 22, 21, 20, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 0xFF };
static const uint8 PeepSpriteImage_987D08_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_987D08_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_987D08_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987D08_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_987D08_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987D08_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_987D08_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_987D08_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_987D08_17_unk04[] = { 64, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0xFF };
static const uint8 PeepSpriteImage_987D08_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_26_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 12, 13, 13, 13, 13, 13, 14, 15, 16, 17, 17, 17, 17, 17, 18, 19, 20, 21, 22, 21, 20, 19, 20, 21, 22, 21, 20, 19, 20, 21, 22, 21, 20, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 0xFF };
static const uint8 PeepSpriteImage_987D08_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_30_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 8, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 12, 13, 13, 13, 13, 13, 14, 15, 16, 17, 17, 17, 17, 17, 18, 19, 20, 21, 22, 21, 20, 19, 20, 21, 22, 21, 20, 19, 20, 21, 22, 21, 20, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 0xFF };
static const uint8 PeepSpriteImage_987D08_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987D08_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_987D08_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_987F90_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987F90_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_987F90_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_3_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 8, 9, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_987F90_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_987F90_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987F90_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_987F90_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_987F90_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_987F90_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_987F90_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_987F90_17_unk04[] = { 64, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0xFF };
static const uint8 PeepSpriteImage_987F90_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_26_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 8, 9, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_30_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 6, 7, 7, 7, 7, 7, 8, 9, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 10, 11, 12, 11, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_987F90_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_987F90_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9881DC_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9881DC_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9881DC_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_3_unk04[] = { 67, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 9, 10, 11, 12, 13, 14, 15, 16, 9, 10, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 21, 21, 21, 21, 21, 22, 23, 23, 23, 23, 24, 25, 26, 27, 27, 27, 27, 28, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 31, 0xFF };
static const uint8 PeepSpriteImage_9881DC_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9881DC_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9881DC_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9881DC_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9881DC_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9881DC_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9881DC_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9881DC_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9881DC_17_unk04[] = { 72, 0, 1, 2, 3, 4, 5, 6, 7, 6, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 6, 7, 6, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 6, 7, 6, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 6, 7, 6, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 0xFF };
static const uint8 PeepSpriteImage_9881DC_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_26_unk04[] = { 67, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 9, 10, 11, 12, 13, 14, 15, 16, 9, 10, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 21, 21, 21, 21, 21, 22, 23, 23, 23, 23, 24, 25, 26, 27, 27, 27, 27, 28, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 31, 0xFF };
static const uint8 PeepSpriteImage_9881DC_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_30_unk04[] = { 67, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 9, 10, 11, 12, 13, 14, 15, 16, 9, 10, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 21, 21, 21, 21, 21, 22, 23, 23, 23, 23, 24, 25, 26, 27, 27, 27, 27, 28, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 31, 0xFF };
static const uint8 PeepSpriteImage_9881DC_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9881DC_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9881DC_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_98355C_0_unk04[] = { 42, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_98355C_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_98355C_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_3_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_98355C_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_98355C_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_98355C_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_98355C_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_8_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_98355C_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_98355C_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_98355C_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_98355C_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_98355C_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_98355C_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_98355C_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_98355C_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98355C_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_98355C_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_983754_0_unk04[] = { 36, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_983754_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_983754_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983754_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_983754_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_983754_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983754_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983754_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983754_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983754_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_983754_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_983754_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_983754_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_983754_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_983754_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983754_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_983754_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_983B40_0_unk04[] = { 36, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_983B40_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_983B40_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983B40_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_983B40_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_983B40_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983B40_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983B40_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983B40_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983B40_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_983B40_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_983B40_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_983B40_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_983B40_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_983B40_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983B40_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_983B40_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_983F40_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_983F40_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_983F40_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983F40_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_983F40_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_983F40_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983F40_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983F40_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983F40_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983F40_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_983F40_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_983F40_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_983F40_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_983F40_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_983F40_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983F40_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_983F40_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_985BD0_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_985BD0_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_985BD0_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_985BD0_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_985BD0_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_985BD0_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_985BD0_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_985BD0_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_985BD0_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_985BD0_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_985BD0_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_985BD0_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_985BD0_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_985BD0_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985BD0_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_985BD0_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9857D0_0_unk04[] = { 36, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_9857D0_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9857D0_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9857D0_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9857D0_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9857D0_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9857D0_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9857D0_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9857D0_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9857D0_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9857D0_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9857D0_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9857D0_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_9857D0_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_9857D0_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9857D0_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9857D0_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_985D94_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_985D94_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_985D94_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_985D94_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_985D94_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_985D94_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_985D94_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_985D94_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_985D94_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_985D94_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_985D94_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_985D94_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_985D94_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_985D94_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_985D94_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_985D94_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_983954_0_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983954_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_983954_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_3_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983954_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_983954_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_983954_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983954_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_8_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983954_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983954_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983954_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_983954_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_983954_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_983954_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_983954_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_983954_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983954_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_983954_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9867F0_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9867F0_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9867F0_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_9867F0_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9867F0_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9867F0_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9867F0_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9867F0_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9867F0_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9867F0_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9867F0_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9867F0_17_unk04[] = { 64, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 1, 2, 3, 2, 1, 0, 4, 5, 6, 0xFF };
static const uint8 PeepSpriteImage_9867F0_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_9867F0_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9867F0_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9867F0_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9859D0_0_unk04[] = { 36, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_9859D0_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9859D0_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9859D0_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9859D0_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9859D0_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9859D0_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9859D0_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9859D0_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9859D0_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9859D0_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9859D0_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9859D0_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_9859D0_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_9859D0_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9859D0_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9859D0_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_982AD8_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982AD8_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_982AD8_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_982AD8_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_982AD8_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_982AD8_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982AD8_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_982AD8_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982AD8_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_982AD8_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_982AD8_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_982AD8_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_982AD8_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_982AD8_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982AD8_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_982AD8_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_982C00_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982C00_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_982C00_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_982C00_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_982C00_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_982C00_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982C00_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_982C00_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982C00_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_982C00_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_982C00_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_982C00_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_982C00_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_982C00_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982C00_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_982C00_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_982D28_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982D28_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_982D28_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_982D28_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_982D28_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_982D28_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982D28_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_982D28_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982D28_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_982D28_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_982D28_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_982D28_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_982D28_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_982D28_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982D28_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_982D28_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_982E50_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982E50_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_982E50_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_982E50_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_982E50_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_982E50_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982E50_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_982E50_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982E50_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_982E50_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_982E50_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_982E50_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_982E50_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_982E50_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982E50_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_982E50_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_982F78_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982F78_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_982F78_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_982F78_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_982F78_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_982F78_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982F78_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_982F78_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_982F78_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_982F78_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_982F78_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_982F78_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_982F78_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_982F78_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_982F78_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_982F78_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_988440_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988440_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_988440_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_988440_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_988440_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_988440_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988440_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_988440_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988440_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_988440_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_988440_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_988440_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_988440_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_988440_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988440_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_988440_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_988604_0_unk04[] = { 36, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_988604_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_988604_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_988604_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_988604_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_988604_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988604_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_988604_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_988604_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988604_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_988604_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_988604_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_988604_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_988604_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_988604_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988604_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_988604_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_988804_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 0xFF };
static const uint8 PeepSpriteImage_988804_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_988804_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 0xFF };
static const uint8 PeepSpriteImage_988804_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_988804_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_988804_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988804_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_8_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 0xFF };
static const uint8 PeepSpriteImage_988804_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_988804_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988804_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_988804_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_988804_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_988804_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_988804_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_988804_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988804_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_988804_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_988A28_0_unk04[] = { 42, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_988A28_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_988A28_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_3_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988A28_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_988A28_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_988A28_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988A28_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_8_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988A28_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_988A28_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_988A28_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_988A28_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_988A28_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_988A28_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_988A28_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_988A28_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_988A28_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_988A28_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_983D40_0_unk04[] = { 36, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_983D40_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_983D40_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983D40_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_983D40_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_983D40_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983D40_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_8_unk04[] = { 11, 0, 1, 2, 3, 3, 3, 3, 3, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983D40_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983D40_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983D40_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_983D40_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_983D40_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_983D40_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_983D40_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_983D40_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983D40_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_983D40_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_98414C_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_98414C_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_98414C_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_3_unk04[] = { 12, 0, 1, 2, 3, 3, 3, 3, 3, 3, 3, 2, 1, 0xFF };
static const uint8 PeepSpriteImage_98414C_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_98414C_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_98414C_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_98414C_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_8_unk04[] = { 12, 0, 1, 2, 3, 3, 3, 3, 3, 3, 3, 2, 1, 0xFF };
static const uint8 PeepSpriteImage_98414C_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_98414C_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_98414C_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_98414C_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_98414C_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_98414C_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_98414C_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_98414C_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98414C_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_98414C_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_984358_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_984358_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_984358_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984358_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_984358_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_984358_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984358_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984358_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984358_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984358_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_984358_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_984358_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_984358_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_984358_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_984358_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984358_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_984358_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_984564_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_984564_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_984564_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984564_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_984564_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_984564_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984564_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984564_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984564_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984564_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_984564_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_984564_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_984564_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_984564_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_984564_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984564_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_984564_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9829B0_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9829B0_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9829B0_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_9829B0_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9829B0_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9829B0_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9829B0_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9829B0_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9829B0_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9829B0_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9829B0_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9829B0_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_9829B0_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_9829B0_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9829B0_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9829B0_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_984770_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_984770_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_984770_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984770_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_984770_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_984770_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984770_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984770_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984770_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984770_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_984770_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_984770_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_984770_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_984770_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_984770_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984770_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_984770_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_983434_0_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983434_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_983434_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_3_unk04[] = { 24, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 0xFF };
static const uint8 PeepSpriteImage_983434_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_983434_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_983434_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983434_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_8_unk04[] = { 26, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_983434_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_983434_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_983434_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_983434_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_983434_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_983434_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_983434_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_983434_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_983434_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_98497C_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_98497C_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_98497C_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_98497C_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_98497C_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_98497C_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_98497C_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_98497C_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_98497C_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_98497C_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_98497C_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_98497C_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_98497C_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_98497C_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_98497C_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_98497C_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_98497C_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_984B88_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_984B88_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_984B88_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984B88_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_984B88_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_984B88_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984B88_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984B88_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984B88_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984B88_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_984B88_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_984B88_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_984B88_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_984B88_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_984B88_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984B88_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_984B88_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_984D94_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_984D94_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_984D94_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984D94_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_984D94_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_984D94_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984D94_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984D94_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984D94_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984D94_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_984D94_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_984D94_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_984D94_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_984D94_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_984D94_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984D94_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_984D94_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_984FA0_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_984FA0_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_984FA0_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984FA0_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_984FA0_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_984FA0_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984FA0_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984FA0_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_984FA0_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_984FA0_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_984FA0_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_984FA0_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_984FA0_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_984FA0_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_984FA0_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_984FA0_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_984FA0_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9851AC_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_9851AC_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9851AC_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9851AC_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9851AC_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9851AC_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9851AC_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9851AC_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9851AC_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9851AC_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9851AC_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9851AC_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9851AC_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_9851AC_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_9851AC_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9851AC_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9851AC_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9853B8_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_9853B8_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9853B8_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9853B8_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9853B8_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9853B8_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9853B8_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9853B8_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9853B8_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9853B8_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9853B8_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9853B8_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9853B8_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_9853B8_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_9853B8_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9853B8_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9853B8_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };

static const uint8 PeepSpriteImage_9855C4_0_unk04[] = { 48, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 0xFF };
static const uint8 PeepSpriteImage_9855C4_1_unk04[] = { 16, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 7, 8, 0xFF };
static const uint8 PeepSpriteImage_9855C4_2_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_3_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9855C4_4_unk04[] = { 20, 0, 1, 2, 3, 4, 5, 6, 6, 6, 6, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 0xFF };
static const uint8 PeepSpriteImage_9855C4_5_unk04[] = { 14, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 0xFF };
static const uint8 PeepSpriteImage_9855C4_6_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9855C4_7_unk04[] = { 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_8_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9855C4_9_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_10_unk04[] = { 16, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_11_unk04[] = { 12, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0xFF };
static const uint8 PeepSpriteImage_9855C4_12_unk04[] = { 6, 0, 1, 2, 3, 4, 5, 0xFF };
static const uint8 PeepSpriteImage_9855C4_13_unk04[] = { 10, 0, 1, 2, 3, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_14_unk04[] = { 33, 8, 8, 9, 9, 10, 10, 9, 9, 8, 8, 11, 12, 13, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 14, 14, 13, 13, 8, 8, 9, 9, 8, 8, 0xFF };
static const uint8 PeepSpriteImage_9855C4_15_unk04[] = { 24, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 0xFF };
static const uint8 PeepSpriteImage_9855C4_16_unk04[] = { 25, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0xFF };
static const uint8 PeepSpriteImage_9855C4_17_unk04[] = { 68, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 1, 2, 3, 4, 3, 2, 1, 0, 5, 6, 7, 0xFF };
static const uint8 PeepSpriteImage_9855C4_18_unk04[] = { 85, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 17, 18, 18, 18, 18, 18, 18, 18, 17, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 15, 16, 15, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_19_unk04[] = { 59, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 16, 15, 14, 14, 14, 14, 14, 14, 19, 20, 20, 20, 19, 14, 14, 14, 14, 14, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_20_unk04[] = { 43, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 9, 8, 14, 15, 15, 15, 16, 17, 17, 17, 14, 11, 12, 13, 12, 13, 12, 11, 9, 10, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_21_unk04[] = { 53, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_22_unk04[] = { 98, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 21, 22, 21, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 29, 30, 31, 32, 31, 30, 31, 32, 31, 30, 31, 32, 31, 30, 29, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_23_unk04[] = { 61, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 16, 17, 18, 19, 18, 17, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_24_unk04[] = { 110, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 11, 12, 13, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 15, 16, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0, 0, 0, 0, 0, 18, 19, 20, 21, 22, 21, 20, 21, 22, 21, 20, 21, 22, 20, 19, 18, 0, 0, 23, 24, 25, 26, 27, 28, 28, 26, 24, 0, 0, 0, 0, 0, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_25_unk04[] = { 18, 0, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_26_unk04[] = { 13, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 0xFF };
static const uint8 PeepSpriteImage_9855C4_27_unk04[] = { 41, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 11, 12, 11, 10, 10, 10, 13, 14, 14, 14, 13, 10, 10, 10, 11, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_28_unk04[] = { 20, 0, 1, 2, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 4, 4, 3, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_29_unk04[] = { 19, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_30_unk04[] = { 25, 0, 1, 2, 3, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 5, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_31_unk04[] = { 23, 0, 1, 2, 3, 4, 5, 5, 5, 5, 6, 7, 6, 5, 5, 5, 5, 5, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_32_unk04[] = { 172, 0, 1, 2, 3, 4, 5, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 6, 7, 8, 7, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_33_unk04[] = { 16, 0, 1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_34_unk04[] = { 70, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 14, 15, 16, 16, 15, 14, 8, 9, 10, 11, 12, 13, 8, 9, 10, 11, 12, 13, 7, 6, 5, 4, 3, 2, 1, 0, 0xFF };
static const uint8 PeepSpriteImage_9855C4_35_unk04[] = { 13, 0, 1, 2, 2, 2, 2, 3, 4, 5, 5, 5, 5, 4, 0xFF };
static const uint8 PeepSpriteImage_9855C4_36_unk04[] = { 30, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 10, 10, 10, 11, 12, 11, 12, 11, 12, 11, 12, 11, 11, 11, 11, 11, 13, 14, 15, 0xFF };


static const rct_sprite_image PeepSpriteImage_982888[] = {
	{ 6409, PeepSpriteImage_982888_0_unk04 },
	{ 6585, PeepSpriteImage_982888_1_unk04 },
	{ 6621, PeepSpriteImage_982888_2_unk04 },
	{ 6653, PeepSpriteImage_982888_3_unk04 },
	{ 6697, PeepSpriteImage_982888_4_unk04 },
	{ 6757, PeepSpriteImage_982888_5_unk04 },
	{ 6561, PeepSpriteImage_982888_6_unk04 },
	{ 6625, PeepSpriteImage_982888_7_unk04 },
	{ 6629, PeepSpriteImage_982888_8_unk04 },
	{ 6637, PeepSpriteImage_982888_9_unk04 },
	{ 6645, PeepSpriteImage_982888_10_unk04 },
	{ 6813, PeepSpriteImage_982888_11_unk04 },
	{ 11301, PeepSpriteImage_982888_12_unk04 },
	{ 6825, PeepSpriteImage_982888_13_unk04 },
	{ 6845, PeepSpriteImage_982888_14_unk04 },
	{ 6909, PeepSpriteImage_982888_15_unk04 },
	{ 11325, PeepSpriteImage_982888_16_unk04 },
	{ 6957, PeepSpriteImage_982888_17_unk04 },
	{ 11513, PeepSpriteImage_982888_18_unk04 },
	{ 11513, PeepSpriteImage_982888_19_unk04 },
	{ 11597, PeepSpriteImage_982888_20_unk04 },
	{ 11669, PeepSpriteImage_982888_21_unk04 },
	{ 11669, PeepSpriteImage_982888_22_unk04 },
	{ 11801, PeepSpriteImage_982888_23_unk04 },
	{ 11669, PeepSpriteImage_982888_24_unk04 },
	{ 11377, PeepSpriteImage_982888_25_unk04 },
	{ 6989, PeepSpriteImage_982888_26_unk04 },
	{ 7041, PeepSpriteImage_982888_27_unk04 },
	{ 7101, PeepSpriteImage_982888_28_unk04 },
	{ 11401, PeepSpriteImage_982888_29_unk04 },
	{ 7121, PeepSpriteImage_982888_30_unk04 },
	{ 7149, PeepSpriteImage_982888_31_unk04 },
	{ 7249, PeepSpriteImage_982888_32_unk04 },
	{ 7309, PeepSpriteImage_982888_33_unk04 },
	{ 7329, PeepSpriteImage_982888_34_unk04 },
	{ 7285, PeepSpriteImage_982888_35_unk04 },
	{ 7181, PeepSpriteImage_982888_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_985F50[] = {
	{ 11261, PeepSpriteImage_985F50_0_unk04 },
	{ 6585, PeepSpriteImage_985F50_1_unk04 },
	{ 11285, PeepSpriteImage_985F50_2_unk04 },
	{ 6653, PeepSpriteImage_985F50_3_unk04 },
	{ 6697, PeepSpriteImage_985F50_4_unk04 },
	{ 6757, PeepSpriteImage_985F50_5_unk04 },
	{ 6561, PeepSpriteImage_985F50_6_unk04 },
	{ 6625, PeepSpriteImage_985F50_7_unk04 },
	{ 6629, PeepSpriteImage_985F50_8_unk04 },
	{ 6637, PeepSpriteImage_985F50_9_unk04 },
	{ 6645, PeepSpriteImage_985F50_10_unk04 },
	{ 11289, PeepSpriteImage_985F50_11_unk04 },
	{ 11301, PeepSpriteImage_985F50_12_unk04 },
	{ 6825, PeepSpriteImage_985F50_13_unk04 },
	{ 6845, PeepSpriteImage_985F50_14_unk04 },
	{ 6909, PeepSpriteImage_985F50_15_unk04 },
	{ 11325, PeepSpriteImage_985F50_16_unk04 },
	{ 11345, PeepSpriteImage_985F50_17_unk04 },
	{ 11513, PeepSpriteImage_985F50_18_unk04 },
	{ 11513, PeepSpriteImage_985F50_19_unk04 },
	{ 11597, PeepSpriteImage_985F50_20_unk04 },
	{ 11669, PeepSpriteImage_985F50_21_unk04 },
	{ 11669, PeepSpriteImage_985F50_22_unk04 },
	{ 11801, PeepSpriteImage_985F50_23_unk04 },
	{ 11669, PeepSpriteImage_985F50_24_unk04 },
	{ 11377, PeepSpriteImage_985F50_25_unk04 },
	{ 6989, PeepSpriteImage_985F50_26_unk04 },
	{ 7041, PeepSpriteImage_985F50_27_unk04 },
	{ 7101, PeepSpriteImage_985F50_28_unk04 },
	{ 11401, PeepSpriteImage_985F50_29_unk04 },
	{ 7121, PeepSpriteImage_985F50_30_unk04 },
	{ 7149, PeepSpriteImage_985F50_31_unk04 },
	{ 7249, PeepSpriteImage_985F50_32_unk04 },
	{ 7309, PeepSpriteImage_985F50_33_unk04 },
	{ 7329, PeepSpriteImage_985F50_34_unk04 },
	{ 7285, PeepSpriteImage_985F50_35_unk04 },
	{ 7181, PeepSpriteImage_985F50_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9861B4[] = {
	{ 11441, PeepSpriteImage_9861B4_0_unk04 },
	{ 6585, PeepSpriteImage_9861B4_1_unk04 },
	{ 11465, PeepSpriteImage_9861B4_2_unk04 },
	{ 6653, PeepSpriteImage_9861B4_3_unk04 },
	{ 6697, PeepSpriteImage_9861B4_4_unk04 },
	{ 6757, PeepSpriteImage_9861B4_5_unk04 },
	{ 6561, PeepSpriteImage_9861B4_6_unk04 },
	{ 6625, PeepSpriteImage_9861B4_7_unk04 },
	{ 6629, PeepSpriteImage_9861B4_8_unk04 },
	{ 6637, PeepSpriteImage_9861B4_9_unk04 },
	{ 6645, PeepSpriteImage_9861B4_10_unk04 },
	{ 11469, PeepSpriteImage_9861B4_11_unk04 },
	{ 11301, PeepSpriteImage_9861B4_12_unk04 },
	{ 6825, PeepSpriteImage_9861B4_13_unk04 },
	{ 6845, PeepSpriteImage_9861B4_14_unk04 },
	{ 6909, PeepSpriteImage_9861B4_15_unk04 },
	{ 11325, PeepSpriteImage_9861B4_16_unk04 },
	{ 11481, PeepSpriteImage_9861B4_17_unk04 },
	{ 11513, PeepSpriteImage_9861B4_18_unk04 },
	{ 11513, PeepSpriteImage_9861B4_19_unk04 },
	{ 11597, PeepSpriteImage_9861B4_20_unk04 },
	{ 11669, PeepSpriteImage_9861B4_21_unk04 },
	{ 11669, PeepSpriteImage_9861B4_22_unk04 },
	{ 11801, PeepSpriteImage_9861B4_23_unk04 },
	{ 11669, PeepSpriteImage_9861B4_24_unk04 },
	{ 11377, PeepSpriteImage_9861B4_25_unk04 },
	{ 6989, PeepSpriteImage_9861B4_26_unk04 },
	{ 7041, PeepSpriteImage_9861B4_27_unk04 },
	{ 7101, PeepSpriteImage_9861B4_28_unk04 },
	{ 11401, PeepSpriteImage_9861B4_29_unk04 },
	{ 7121, PeepSpriteImage_9861B4_30_unk04 },
	{ 7149, PeepSpriteImage_9861B4_31_unk04 },
	{ 7249, PeepSpriteImage_9861B4_32_unk04 },
	{ 7309, PeepSpriteImage_9861B4_33_unk04 },
	{ 7329, PeepSpriteImage_9861B4_34_unk04 },
	{ 7285, PeepSpriteImage_9861B4_35_unk04 },
	{ 7181, PeepSpriteImage_9861B4_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9865D8[] = {
	{ 11881, PeepSpriteImage_9865D8_0_unk04 },
	{ 6585, PeepSpriteImage_9865D8_1_unk04 },
	{ 11905, PeepSpriteImage_9865D8_2_unk04 },
	{ 6653, PeepSpriteImage_9865D8_3_unk04 },
	{ 6697, PeepSpriteImage_9865D8_4_unk04 },
	{ 6757, PeepSpriteImage_9865D8_5_unk04 },
	{ 6561, PeepSpriteImage_9865D8_6_unk04 },
	{ 6625, PeepSpriteImage_9865D8_7_unk04 },
	{ 6629, PeepSpriteImage_9865D8_8_unk04 },
	{ 6637, PeepSpriteImage_9865D8_9_unk04 },
	{ 6645, PeepSpriteImage_9865D8_10_unk04 },
	{ 11909, PeepSpriteImage_9865D8_11_unk04 },
	{ 11301, PeepSpriteImage_9865D8_12_unk04 },
	{ 6825, PeepSpriteImage_9865D8_13_unk04 },
	{ 6845, PeepSpriteImage_9865D8_14_unk04 },
	{ 6909, PeepSpriteImage_9865D8_15_unk04 },
	{ 11325, PeepSpriteImage_9865D8_16_unk04 },
	{ 11921, PeepSpriteImage_9865D8_17_unk04 },
	{ 11513, PeepSpriteImage_9865D8_18_unk04 },
	{ 11513, PeepSpriteImage_9865D8_19_unk04 },
	{ 11597, PeepSpriteImage_9865D8_20_unk04 },
	{ 11669, PeepSpriteImage_9865D8_21_unk04 },
	{ 11669, PeepSpriteImage_9865D8_22_unk04 },
	{ 11801, PeepSpriteImage_9865D8_23_unk04 },
	{ 11669, PeepSpriteImage_9865D8_24_unk04 },
	{ 11377, PeepSpriteImage_9865D8_25_unk04 },
	{ 6989, PeepSpriteImage_9865D8_26_unk04 },
	{ 7041, PeepSpriteImage_9865D8_27_unk04 },
	{ 7101, PeepSpriteImage_9865D8_28_unk04 },
	{ 11401, PeepSpriteImage_9865D8_29_unk04 },
	{ 7121, PeepSpriteImage_9865D8_30_unk04 },
	{ 7149, PeepSpriteImage_9865D8_31_unk04 },
	{ 7249, PeepSpriteImage_9865D8_32_unk04 },
	{ 7309, PeepSpriteImage_9865D8_33_unk04 },
	{ 7329, PeepSpriteImage_9865D8_34_unk04 },
	{ 7285, PeepSpriteImage_9865D8_35_unk04 },
	{ 7181, PeepSpriteImage_9865D8_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9869B4[] = {
	{ 11973, PeepSpriteImage_9869B4_0_unk04 },
	{ 6585, PeepSpriteImage_9869B4_1_unk04 },
	{ 11997, PeepSpriteImage_9869B4_2_unk04 },
	{ 12041, PeepSpriteImage_9869B4_3_unk04 },
	{ 6697, PeepSpriteImage_9869B4_4_unk04 },
	{ 6757, PeepSpriteImage_9869B4_5_unk04 },
	{ 6561, PeepSpriteImage_9869B4_6_unk04 },
	{ 6625, PeepSpriteImage_9869B4_7_unk04 },
	{ 6629, PeepSpriteImage_9869B4_8_unk04 },
	{ 6637, PeepSpriteImage_9869B4_9_unk04 },
	{ 6645, PeepSpriteImage_9869B4_10_unk04 },
	{ 12001, PeepSpriteImage_9869B4_11_unk04 },
	{ 11301, PeepSpriteImage_9869B4_12_unk04 },
	{ 6825, PeepSpriteImage_9869B4_13_unk04 },
	{ 6845, PeepSpriteImage_9869B4_14_unk04 },
	{ 6909, PeepSpriteImage_9869B4_15_unk04 },
	{ 11325, PeepSpriteImage_9869B4_16_unk04 },
	{ 12013, PeepSpriteImage_9869B4_17_unk04 },
	{ 11513, PeepSpriteImage_9869B4_18_unk04 },
	{ 11513, PeepSpriteImage_9869B4_19_unk04 },
	{ 11597, PeepSpriteImage_9869B4_20_unk04 },
	{ 11669, PeepSpriteImage_9869B4_21_unk04 },
	{ 11669, PeepSpriteImage_9869B4_22_unk04 },
	{ 11801, PeepSpriteImage_9869B4_23_unk04 },
	{ 11669, PeepSpriteImage_9869B4_24_unk04 },
	{ 11377, PeepSpriteImage_9869B4_25_unk04 },
	{ 12065, PeepSpriteImage_9869B4_26_unk04 },
	{ 7041, PeepSpriteImage_9869B4_27_unk04 },
	{ 7101, PeepSpriteImage_9869B4_28_unk04 },
	{ 11401, PeepSpriteImage_9869B4_29_unk04 },
	{ 12041, PeepSpriteImage_9869B4_30_unk04 },
	{ 7149, PeepSpriteImage_9869B4_31_unk04 },
	{ 7249, PeepSpriteImage_9869B4_32_unk04 },
	{ 7309, PeepSpriteImage_9869B4_33_unk04 },
	{ 7329, PeepSpriteImage_9869B4_34_unk04 },
	{ 7285, PeepSpriteImage_9869B4_35_unk04 },
	{ 7181, PeepSpriteImage_9869B4_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_986C28[] = {
	{ 12129, PeepSpriteImage_986C28_0_unk04 },
	{ 6585, PeepSpriteImage_986C28_1_unk04 },
	{ 12153, PeepSpriteImage_986C28_2_unk04 },
	{ 12197, PeepSpriteImage_986C28_3_unk04 },
	{ 6697, PeepSpriteImage_986C28_4_unk04 },
	{ 6757, PeepSpriteImage_986C28_5_unk04 },
	{ 6561, PeepSpriteImage_986C28_6_unk04 },
	{ 6625, PeepSpriteImage_986C28_7_unk04 },
	{ 6629, PeepSpriteImage_986C28_8_unk04 },
	{ 6637, PeepSpriteImage_986C28_9_unk04 },
	{ 6645, PeepSpriteImage_986C28_10_unk04 },
	{ 12157, PeepSpriteImage_986C28_11_unk04 },
	{ 11301, PeepSpriteImage_986C28_12_unk04 },
	{ 6825, PeepSpriteImage_986C28_13_unk04 },
	{ 6845, PeepSpriteImage_986C28_14_unk04 },
	{ 6909, PeepSpriteImage_986C28_15_unk04 },
	{ 11325, PeepSpriteImage_986C28_16_unk04 },
	{ 12169, PeepSpriteImage_986C28_17_unk04 },
	{ 11513, PeepSpriteImage_986C28_18_unk04 },
	{ 11513, PeepSpriteImage_986C28_19_unk04 },
	{ 11597, PeepSpriteImage_986C28_20_unk04 },
	{ 11669, PeepSpriteImage_986C28_21_unk04 },
	{ 11669, PeepSpriteImage_986C28_22_unk04 },
	{ 11801, PeepSpriteImage_986C28_23_unk04 },
	{ 11669, PeepSpriteImage_986C28_24_unk04 },
	{ 11377, PeepSpriteImage_986C28_25_unk04 },
	{ 12221, PeepSpriteImage_986C28_26_unk04 },
	{ 7041, PeepSpriteImage_986C28_27_unk04 },
	{ 7101, PeepSpriteImage_986C28_28_unk04 },
	{ 11401, PeepSpriteImage_986C28_29_unk04 },
	{ 12197, PeepSpriteImage_986C28_30_unk04 },
	{ 7149, PeepSpriteImage_986C28_31_unk04 },
	{ 7249, PeepSpriteImage_986C28_32_unk04 },
	{ 7309, PeepSpriteImage_986C28_33_unk04 },
	{ 7329, PeepSpriteImage_986C28_34_unk04 },
	{ 7285, PeepSpriteImage_986C28_35_unk04 },
	{ 7181, PeepSpriteImage_986C28_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_986EA8[] = {
	{ 12325, PeepSpriteImage_986EA8_0_unk04 },
	{ 6585, PeepSpriteImage_986EA8_1_unk04 },
	{ 12349, PeepSpriteImage_986EA8_2_unk04 },
	{ 12365, PeepSpriteImage_986EA8_3_unk04 },
	{ 6697, PeepSpriteImage_986EA8_4_unk04 },
	{ 6757, PeepSpriteImage_986EA8_5_unk04 },
	{ 6561, PeepSpriteImage_986EA8_6_unk04 },
	{ 6625, PeepSpriteImage_986EA8_7_unk04 },
	{ 6629, PeepSpriteImage_986EA8_8_unk04 },
	{ 6637, PeepSpriteImage_986EA8_9_unk04 },
	{ 6645, PeepSpriteImage_986EA8_10_unk04 },
	{ 12353, PeepSpriteImage_986EA8_11_unk04 },
	{ 11301, PeepSpriteImage_986EA8_12_unk04 },
	{ 6825, PeepSpriteImage_986EA8_13_unk04 },
	{ 6845, PeepSpriteImage_986EA8_14_unk04 },
	{ 6909, PeepSpriteImage_986EA8_15_unk04 },
	{ 11325, PeepSpriteImage_986EA8_16_unk04 },
	{ 12393, PeepSpriteImage_986EA8_17_unk04 },
	{ 11513, PeepSpriteImage_986EA8_18_unk04 },
	{ 11513, PeepSpriteImage_986EA8_19_unk04 },
	{ 11597, PeepSpriteImage_986EA8_20_unk04 },
	{ 11669, PeepSpriteImage_986EA8_21_unk04 },
	{ 11669, PeepSpriteImage_986EA8_22_unk04 },
	{ 11801, PeepSpriteImage_986EA8_23_unk04 },
	{ 11669, PeepSpriteImage_986EA8_24_unk04 },
	{ 11377, PeepSpriteImage_986EA8_25_unk04 },
	{ 12433, PeepSpriteImage_986EA8_26_unk04 },
	{ 7041, PeepSpriteImage_986EA8_27_unk04 },
	{ 7101, PeepSpriteImage_986EA8_28_unk04 },
	{ 11401, PeepSpriteImage_986EA8_29_unk04 },
	{ 12365, PeepSpriteImage_986EA8_30_unk04 },
	{ 7149, PeepSpriteImage_986EA8_31_unk04 },
	{ 7249, PeepSpriteImage_986EA8_32_unk04 },
	{ 7309, PeepSpriteImage_986EA8_33_unk04 },
	{ 7329, PeepSpriteImage_986EA8_34_unk04 },
	{ 7285, PeepSpriteImage_986EA8_35_unk04 },
	{ 7181, PeepSpriteImage_986EA8_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_987130[] = {
	{ 13897, PeepSpriteImage_987130_0_unk04 },
	{ 6585, PeepSpriteImage_987130_1_unk04 },
	{ 13921, PeepSpriteImage_987130_2_unk04 },
	{ 13937, PeepSpriteImage_987130_3_unk04 },
	{ 6697, PeepSpriteImage_987130_4_unk04 },
	{ 6757, PeepSpriteImage_987130_5_unk04 },
	{ 6561, PeepSpriteImage_987130_6_unk04 },
	{ 6625, PeepSpriteImage_987130_7_unk04 },
	{ 6629, PeepSpriteImage_987130_8_unk04 },
	{ 6637, PeepSpriteImage_987130_9_unk04 },
	{ 6645, PeepSpriteImage_987130_10_unk04 },
	{ 13925, PeepSpriteImage_987130_11_unk04 },
	{ 11301, PeepSpriteImage_987130_12_unk04 },
	{ 6825, PeepSpriteImage_987130_13_unk04 },
	{ 6845, PeepSpriteImage_987130_14_unk04 },
	{ 6909, PeepSpriteImage_987130_15_unk04 },
	{ 11325, PeepSpriteImage_987130_16_unk04 },
	{ 13969, PeepSpriteImage_987130_17_unk04 },
	{ 11513, PeepSpriteImage_987130_18_unk04 },
	{ 11513, PeepSpriteImage_987130_19_unk04 },
	{ 11597, PeepSpriteImage_987130_20_unk04 },
	{ 11669, PeepSpriteImage_987130_21_unk04 },
	{ 11669, PeepSpriteImage_987130_22_unk04 },
	{ 11801, PeepSpriteImage_987130_23_unk04 },
	{ 11669, PeepSpriteImage_987130_24_unk04 },
	{ 11377, PeepSpriteImage_987130_25_unk04 },
	{ 14029, PeepSpriteImage_987130_26_unk04 },
	{ 7041, PeepSpriteImage_987130_27_unk04 },
	{ 7101, PeepSpriteImage_987130_28_unk04 },
	{ 11401, PeepSpriteImage_987130_29_unk04 },
	{ 13937, PeepSpriteImage_987130_30_unk04 },
	{ 7149, PeepSpriteImage_987130_31_unk04 },
	{ 7249, PeepSpriteImage_987130_32_unk04 },
	{ 7309, PeepSpriteImage_987130_33_unk04 },
	{ 7329, PeepSpriteImage_987130_34_unk04 },
	{ 7285, PeepSpriteImage_987130_35_unk04 },
	{ 7181, PeepSpriteImage_987130_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9873F4[] = {
	{ 12549, PeepSpriteImage_9873F4_0_unk04 },
	{ 6585, PeepSpriteImage_9873F4_1_unk04 },
	{ 12545, PeepSpriteImage_9873F4_2_unk04 },
	{ 12573, PeepSpriteImage_9873F4_3_unk04 },
	{ 6697, PeepSpriteImage_9873F4_4_unk04 },
	{ 6757, PeepSpriteImage_9873F4_5_unk04 },
	{ 6561, PeepSpriteImage_9873F4_6_unk04 },
	{ 6625, PeepSpriteImage_9873F4_7_unk04 },
	{ 6629, PeepSpriteImage_9873F4_8_unk04 },
	{ 6637, PeepSpriteImage_9873F4_9_unk04 },
	{ 6645, PeepSpriteImage_9873F4_10_unk04 },
	{ 12665, PeepSpriteImage_9873F4_11_unk04 },
	{ 11301, PeepSpriteImage_9873F4_12_unk04 },
	{ 6825, PeepSpriteImage_9873F4_13_unk04 },
	{ 6845, PeepSpriteImage_9873F4_14_unk04 },
	{ 6909, PeepSpriteImage_9873F4_15_unk04 },
	{ 11325, PeepSpriteImage_9873F4_16_unk04 },
	{ 12617, PeepSpriteImage_9873F4_17_unk04 },
	{ 11513, PeepSpriteImage_9873F4_18_unk04 },
	{ 11513, PeepSpriteImage_9873F4_19_unk04 },
	{ 11597, PeepSpriteImage_9873F4_20_unk04 },
	{ 11669, PeepSpriteImage_9873F4_21_unk04 },
	{ 11669, PeepSpriteImage_9873F4_22_unk04 },
	{ 11801, PeepSpriteImage_9873F4_23_unk04 },
	{ 11669, PeepSpriteImage_9873F4_24_unk04 },
	{ 11377, PeepSpriteImage_9873F4_25_unk04 },
	{ 12573, PeepSpriteImage_9873F4_26_unk04 },
	{ 7041, PeepSpriteImage_9873F4_27_unk04 },
	{ 7101, PeepSpriteImage_9873F4_28_unk04 },
	{ 11401, PeepSpriteImage_9873F4_29_unk04 },
	{ 12573, PeepSpriteImage_9873F4_30_unk04 },
	{ 7149, PeepSpriteImage_9873F4_31_unk04 },
	{ 7249, PeepSpriteImage_9873F4_32_unk04 },
	{ 7309, PeepSpriteImage_9873F4_33_unk04 },
	{ 7329, PeepSpriteImage_9873F4_34_unk04 },
	{ 7285, PeepSpriteImage_9873F4_35_unk04 },
	{ 7181, PeepSpriteImage_9873F4_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_987638[] = {
	{ 12681, PeepSpriteImage_987638_0_unk04 },
	{ 6585, PeepSpriteImage_987638_1_unk04 },
	{ 12677, PeepSpriteImage_987638_2_unk04 },
	{ 12705, PeepSpriteImage_987638_3_unk04 },
	{ 6697, PeepSpriteImage_987638_4_unk04 },
	{ 6757, PeepSpriteImage_987638_5_unk04 },
	{ 6561, PeepSpriteImage_987638_6_unk04 },
	{ 6625, PeepSpriteImage_987638_7_unk04 },
	{ 6629, PeepSpriteImage_987638_8_unk04 },
	{ 6637, PeepSpriteImage_987638_9_unk04 },
	{ 6645, PeepSpriteImage_987638_10_unk04 },
	{ 12881, PeepSpriteImage_987638_11_unk04 },
	{ 11301, PeepSpriteImage_987638_12_unk04 },
	{ 6825, PeepSpriteImage_987638_13_unk04 },
	{ 6845, PeepSpriteImage_987638_14_unk04 },
	{ 6909, PeepSpriteImage_987638_15_unk04 },
	{ 11325, PeepSpriteImage_987638_16_unk04 },
	{ 12841, PeepSpriteImage_987638_17_unk04 },
	{ 11513, PeepSpriteImage_987638_18_unk04 },
	{ 11513, PeepSpriteImage_987638_19_unk04 },
	{ 11597, PeepSpriteImage_987638_20_unk04 },
	{ 11669, PeepSpriteImage_987638_21_unk04 },
	{ 11669, PeepSpriteImage_987638_22_unk04 },
	{ 11801, PeepSpriteImage_987638_23_unk04 },
	{ 11669, PeepSpriteImage_987638_24_unk04 },
	{ 11377, PeepSpriteImage_987638_25_unk04 },
	{ 12705, PeepSpriteImage_987638_26_unk04 },
	{ 7041, PeepSpriteImage_987638_27_unk04 },
	{ 7101, PeepSpriteImage_987638_28_unk04 },
	{ 11401, PeepSpriteImage_987638_29_unk04 },
	{ 12705, PeepSpriteImage_987638_30_unk04 },
	{ 7149, PeepSpriteImage_987638_31_unk04 },
	{ 7249, PeepSpriteImage_987638_32_unk04 },
	{ 7309, PeepSpriteImage_987638_33_unk04 },
	{ 7329, PeepSpriteImage_987638_34_unk04 },
	{ 7285, PeepSpriteImage_987638_35_unk04 },
	{ 7181, PeepSpriteImage_987638_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_987890[] = {
	{ 12897, PeepSpriteImage_987890_0_unk04 },
	{ 6585, PeepSpriteImage_987890_1_unk04 },
	{ 12893, PeepSpriteImage_987890_2_unk04 },
	{ 12993, PeepSpriteImage_987890_3_unk04 },
	{ 6697, PeepSpriteImage_987890_4_unk04 },
	{ 6757, PeepSpriteImage_987890_5_unk04 },
	{ 6561, PeepSpriteImage_987890_6_unk04 },
	{ 6625, PeepSpriteImage_987890_7_unk04 },
	{ 6629, PeepSpriteImage_987890_8_unk04 },
	{ 6637, PeepSpriteImage_987890_9_unk04 },
	{ 6645, PeepSpriteImage_987890_10_unk04 },
	{ 12981, PeepSpriteImage_987890_11_unk04 },
	{ 11301, PeepSpriteImage_987890_12_unk04 },
	{ 6825, PeepSpriteImage_987890_13_unk04 },
	{ 6845, PeepSpriteImage_987890_14_unk04 },
	{ 6909, PeepSpriteImage_987890_15_unk04 },
	{ 11325, PeepSpriteImage_987890_16_unk04 },
	{ 12921, PeepSpriteImage_987890_17_unk04 },
	{ 11513, PeepSpriteImage_987890_18_unk04 },
	{ 11513, PeepSpriteImage_987890_19_unk04 },
	{ 11597, PeepSpriteImage_987890_20_unk04 },
	{ 11669, PeepSpriteImage_987890_21_unk04 },
	{ 11669, PeepSpriteImage_987890_22_unk04 },
	{ 11801, PeepSpriteImage_987890_23_unk04 },
	{ 11669, PeepSpriteImage_987890_24_unk04 },
	{ 11377, PeepSpriteImage_987890_25_unk04 },
	{ 12993, PeepSpriteImage_987890_26_unk04 },
	{ 7041, PeepSpriteImage_987890_27_unk04 },
	{ 7101, PeepSpriteImage_987890_28_unk04 },
	{ 11401, PeepSpriteImage_987890_29_unk04 },
	{ 12993, PeepSpriteImage_987890_30_unk04 },
	{ 7149, PeepSpriteImage_987890_31_unk04 },
	{ 7249, PeepSpriteImage_987890_32_unk04 },
	{ 7309, PeepSpriteImage_987890_33_unk04 },
	{ 7329, PeepSpriteImage_987890_34_unk04 },
	{ 7285, PeepSpriteImage_987890_35_unk04 },
	{ 7181, PeepSpriteImage_987890_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_987ADC[] = {
	{ 13769, PeepSpriteImage_987ADC_0_unk04 },
	{ 6585, PeepSpriteImage_987ADC_1_unk04 },
	{ 13765, PeepSpriteImage_987ADC_2_unk04 },
	{ 13857, PeepSpriteImage_987ADC_3_unk04 },
	{ 6697, PeepSpriteImage_987ADC_4_unk04 },
	{ 6757, PeepSpriteImage_987ADC_5_unk04 },
	{ 6561, PeepSpriteImage_987ADC_6_unk04 },
	{ 6625, PeepSpriteImage_987ADC_7_unk04 },
	{ 6629, PeepSpriteImage_987ADC_8_unk04 },
	{ 6637, PeepSpriteImage_987ADC_9_unk04 },
	{ 6645, PeepSpriteImage_987ADC_10_unk04 },
	{ 13845, PeepSpriteImage_987ADC_11_unk04 },
	{ 11301, PeepSpriteImage_987ADC_12_unk04 },
	{ 6825, PeepSpriteImage_987ADC_13_unk04 },
	{ 6845, PeepSpriteImage_987ADC_14_unk04 },
	{ 6909, PeepSpriteImage_987ADC_15_unk04 },
	{ 11325, PeepSpriteImage_987ADC_16_unk04 },
	{ 13793, PeepSpriteImage_987ADC_17_unk04 },
	{ 11513, PeepSpriteImage_987ADC_18_unk04 },
	{ 11513, PeepSpriteImage_987ADC_19_unk04 },
	{ 11597, PeepSpriteImage_987ADC_20_unk04 },
	{ 11669, PeepSpriteImage_987ADC_21_unk04 },
	{ 11669, PeepSpriteImage_987ADC_22_unk04 },
	{ 11801, PeepSpriteImage_987ADC_23_unk04 },
	{ 11669, PeepSpriteImage_987ADC_24_unk04 },
	{ 11377, PeepSpriteImage_987ADC_25_unk04 },
	{ 13857, PeepSpriteImage_987ADC_26_unk04 },
	{ 7041, PeepSpriteImage_987ADC_27_unk04 },
	{ 7101, PeepSpriteImage_987ADC_28_unk04 },
	{ 11401, PeepSpriteImage_987ADC_29_unk04 },
	{ 13857, PeepSpriteImage_987ADC_30_unk04 },
	{ 7149, PeepSpriteImage_987ADC_31_unk04 },
	{ 7249, PeepSpriteImage_987ADC_32_unk04 },
	{ 7309, PeepSpriteImage_987ADC_33_unk04 },
	{ 7329, PeepSpriteImage_987ADC_34_unk04 },
	{ 7285, PeepSpriteImage_987ADC_35_unk04 },
	{ 7181, PeepSpriteImage_987ADC_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_987D08[] = {
	{ 13109, PeepSpriteImage_987D08_0_unk04 },
	{ 6585, PeepSpriteImage_987D08_1_unk04 },
	{ 13105, PeepSpriteImage_987D08_2_unk04 },
	{ 13209, PeepSpriteImage_987D08_3_unk04 },
	{ 6697, PeepSpriteImage_987D08_4_unk04 },
	{ 6757, PeepSpriteImage_987D08_5_unk04 },
	{ 6561, PeepSpriteImage_987D08_6_unk04 },
	{ 6625, PeepSpriteImage_987D08_7_unk04 },
	{ 6629, PeepSpriteImage_987D08_8_unk04 },
	{ 6637, PeepSpriteImage_987D08_9_unk04 },
	{ 6645, PeepSpriteImage_987D08_10_unk04 },
	{ 13197, PeepSpriteImage_987D08_11_unk04 },
	{ 11301, PeepSpriteImage_987D08_12_unk04 },
	{ 6825, PeepSpriteImage_987D08_13_unk04 },
	{ 6845, PeepSpriteImage_987D08_14_unk04 },
	{ 6909, PeepSpriteImage_987D08_15_unk04 },
	{ 11325, PeepSpriteImage_987D08_16_unk04 },
	{ 13133, PeepSpriteImage_987D08_17_unk04 },
	{ 11513, PeepSpriteImage_987D08_18_unk04 },
	{ 11513, PeepSpriteImage_987D08_19_unk04 },
	{ 11597, PeepSpriteImage_987D08_20_unk04 },
	{ 11669, PeepSpriteImage_987D08_21_unk04 },
	{ 11669, PeepSpriteImage_987D08_22_unk04 },
	{ 11801, PeepSpriteImage_987D08_23_unk04 },
	{ 11669, PeepSpriteImage_987D08_24_unk04 },
	{ 11377, PeepSpriteImage_987D08_25_unk04 },
	{ 13209, PeepSpriteImage_987D08_26_unk04 },
	{ 7041, PeepSpriteImage_987D08_27_unk04 },
	{ 7101, PeepSpriteImage_987D08_28_unk04 },
	{ 11401, PeepSpriteImage_987D08_29_unk04 },
	{ 13209, PeepSpriteImage_987D08_30_unk04 },
	{ 7149, PeepSpriteImage_987D08_31_unk04 },
	{ 7249, PeepSpriteImage_987D08_32_unk04 },
	{ 7309, PeepSpriteImage_987D08_33_unk04 },
	{ 7329, PeepSpriteImage_987D08_34_unk04 },
	{ 7285, PeepSpriteImage_987D08_35_unk04 },
	{ 7181, PeepSpriteImage_987D08_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_987F90[] = {
	{ 13613, PeepSpriteImage_987F90_0_unk04 },
	{ 6585, PeepSpriteImage_987F90_1_unk04 },
	{ 13609, PeepSpriteImage_987F90_2_unk04 },
	{ 13713, PeepSpriteImage_987F90_3_unk04 },
	{ 6697, PeepSpriteImage_987F90_4_unk04 },
	{ 6757, PeepSpriteImage_987F90_5_unk04 },
	{ 6561, PeepSpriteImage_987F90_6_unk04 },
	{ 6625, PeepSpriteImage_987F90_7_unk04 },
	{ 6629, PeepSpriteImage_987F90_8_unk04 },
	{ 6637, PeepSpriteImage_987F90_9_unk04 },
	{ 6645, PeepSpriteImage_987F90_10_unk04 },
	{ 13701, PeepSpriteImage_987F90_11_unk04 },
	{ 11301, PeepSpriteImage_987F90_12_unk04 },
	{ 6825, PeepSpriteImage_987F90_13_unk04 },
	{ 6845, PeepSpriteImage_987F90_14_unk04 },
	{ 6909, PeepSpriteImage_987F90_15_unk04 },
	{ 11325, PeepSpriteImage_987F90_16_unk04 },
	{ 13637, PeepSpriteImage_987F90_17_unk04 },
	{ 11513, PeepSpriteImage_987F90_18_unk04 },
	{ 11513, PeepSpriteImage_987F90_19_unk04 },
	{ 11597, PeepSpriteImage_987F90_20_unk04 },
	{ 11669, PeepSpriteImage_987F90_21_unk04 },
	{ 11669, PeepSpriteImage_987F90_22_unk04 },
	{ 11801, PeepSpriteImage_987F90_23_unk04 },
	{ 11669, PeepSpriteImage_987F90_24_unk04 },
	{ 11377, PeepSpriteImage_987F90_25_unk04 },
	{ 13713, PeepSpriteImage_987F90_26_unk04 },
	{ 7041, PeepSpriteImage_987F90_27_unk04 },
	{ 7101, PeepSpriteImage_987F90_28_unk04 },
	{ 11401, PeepSpriteImage_987F90_29_unk04 },
	{ 13713, PeepSpriteImage_987F90_30_unk04 },
	{ 7149, PeepSpriteImage_987F90_31_unk04 },
	{ 7249, PeepSpriteImage_987F90_32_unk04 },
	{ 7309, PeepSpriteImage_987F90_33_unk04 },
	{ 7329, PeepSpriteImage_987F90_34_unk04 },
	{ 7285, PeepSpriteImage_987F90_35_unk04 },
	{ 7181, PeepSpriteImage_987F90_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9881DC[] = {
	{ 13381, PeepSpriteImage_9881DC_0_unk04 },
	{ 6585, PeepSpriteImage_9881DC_1_unk04 },
	{ 13377, PeepSpriteImage_9881DC_2_unk04 },
	{ 13481, PeepSpriteImage_9881DC_3_unk04 },
	{ 6697, PeepSpriteImage_9881DC_4_unk04 },
	{ 6757, PeepSpriteImage_9881DC_5_unk04 },
	{ 6561, PeepSpriteImage_9881DC_6_unk04 },
	{ 6625, PeepSpriteImage_9881DC_7_unk04 },
	{ 6629, PeepSpriteImage_9881DC_8_unk04 },
	{ 6637, PeepSpriteImage_9881DC_9_unk04 },
	{ 6645, PeepSpriteImage_9881DC_10_unk04 },
	{ 13469, PeepSpriteImage_9881DC_11_unk04 },
	{ 11301, PeepSpriteImage_9881DC_12_unk04 },
	{ 6825, PeepSpriteImage_9881DC_13_unk04 },
	{ 6845, PeepSpriteImage_9881DC_14_unk04 },
	{ 6909, PeepSpriteImage_9881DC_15_unk04 },
	{ 11325, PeepSpriteImage_9881DC_16_unk04 },
	{ 13405, PeepSpriteImage_9881DC_17_unk04 },
	{ 11513, PeepSpriteImage_9881DC_18_unk04 },
	{ 11513, PeepSpriteImage_9881DC_19_unk04 },
	{ 11597, PeepSpriteImage_9881DC_20_unk04 },
	{ 11669, PeepSpriteImage_9881DC_21_unk04 },
	{ 11669, PeepSpriteImage_9881DC_22_unk04 },
	{ 11801, PeepSpriteImage_9881DC_23_unk04 },
	{ 11669, PeepSpriteImage_9881DC_24_unk04 },
	{ 11377, PeepSpriteImage_9881DC_25_unk04 },
	{ 13481, PeepSpriteImage_9881DC_26_unk04 },
	{ 7041, PeepSpriteImage_9881DC_27_unk04 },
	{ 7101, PeepSpriteImage_9881DC_28_unk04 },
	{ 11401, PeepSpriteImage_9881DC_29_unk04 },
	{ 13481, PeepSpriteImage_9881DC_30_unk04 },
	{ 7149, PeepSpriteImage_9881DC_31_unk04 },
	{ 7249, PeepSpriteImage_9881DC_32_unk04 },
	{ 7309, PeepSpriteImage_9881DC_33_unk04 },
	{ 7329, PeepSpriteImage_9881DC_34_unk04 },
	{ 7285, PeepSpriteImage_9881DC_35_unk04 },
	{ 7181, PeepSpriteImage_9881DC_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_98355C[] = {
	{ 7505, PeepSpriteImage_98355C_0_unk04 },
	{ 6585, PeepSpriteImage_98355C_1_unk04 },
	{ 7501, PeepSpriteImage_98355C_2_unk04 },
	{ 7581, PeepSpriteImage_98355C_3_unk04 },
	{ 6697, PeepSpriteImage_98355C_4_unk04 },
	{ 6757, PeepSpriteImage_98355C_5_unk04 },
	{ 6561, PeepSpriteImage_98355C_6_unk04 },
	{ 7553, PeepSpriteImage_98355C_7_unk04 },
	{ 7557, PeepSpriteImage_98355C_8_unk04 },
	{ 6637, PeepSpriteImage_98355C_9_unk04 },
	{ 6645, PeepSpriteImage_98355C_10_unk04 },
	{ 6813, PeepSpriteImage_98355C_11_unk04 },
	{ 11301, PeepSpriteImage_98355C_12_unk04 },
	{ 6825, PeepSpriteImage_98355C_13_unk04 },
	{ 6845, PeepSpriteImage_98355C_14_unk04 },
	{ 6909, PeepSpriteImage_98355C_15_unk04 },
	{ 11325, PeepSpriteImage_98355C_16_unk04 },
	{ 6957, PeepSpriteImage_98355C_17_unk04 },
	{ 11513, PeepSpriteImage_98355C_18_unk04 },
	{ 11513, PeepSpriteImage_98355C_19_unk04 },
	{ 11597, PeepSpriteImage_98355C_20_unk04 },
	{ 11669, PeepSpriteImage_98355C_21_unk04 },
	{ 11669, PeepSpriteImage_98355C_22_unk04 },
	{ 11801, PeepSpriteImage_98355C_23_unk04 },
	{ 11669, PeepSpriteImage_98355C_24_unk04 },
	{ 11377, PeepSpriteImage_98355C_25_unk04 },
	{ 6989, PeepSpriteImage_98355C_26_unk04 },
	{ 7041, PeepSpriteImage_98355C_27_unk04 },
	{ 7101, PeepSpriteImage_98355C_28_unk04 },
	{ 11401, PeepSpriteImage_98355C_29_unk04 },
	{ 7121, PeepSpriteImage_98355C_30_unk04 },
	{ 7149, PeepSpriteImage_98355C_31_unk04 },
	{ 7249, PeepSpriteImage_98355C_32_unk04 },
	{ 7309, PeepSpriteImage_98355C_33_unk04 },
	{ 7329, PeepSpriteImage_98355C_34_unk04 },
	{ 7285, PeepSpriteImage_98355C_35_unk04 },
	{ 7181, PeepSpriteImage_98355C_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_983754[] = {
	{ 7609, PeepSpriteImage_983754_0_unk04 },
	{ 6585, PeepSpriteImage_983754_1_unk04 },
	{ 7605, PeepSpriteImage_983754_2_unk04 },
	{ 7733, PeepSpriteImage_983754_3_unk04 },
	{ 6697, PeepSpriteImage_983754_4_unk04 },
	{ 6757, PeepSpriteImage_983754_5_unk04 },
	{ 6561, PeepSpriteImage_983754_6_unk04 },
	{ 7681, PeepSpriteImage_983754_7_unk04 },
	{ 7685, PeepSpriteImage_983754_8_unk04 },
	{ 6637, PeepSpriteImage_983754_9_unk04 },
	{ 6645, PeepSpriteImage_983754_10_unk04 },
	{ 6813, PeepSpriteImage_983754_11_unk04 },
	{ 11301, PeepSpriteImage_983754_12_unk04 },
	{ 6825, PeepSpriteImage_983754_13_unk04 },
	{ 6845, PeepSpriteImage_983754_14_unk04 },
	{ 6909, PeepSpriteImage_983754_15_unk04 },
	{ 11325, PeepSpriteImage_983754_16_unk04 },
	{ 6957, PeepSpriteImage_983754_17_unk04 },
	{ 11513, PeepSpriteImage_983754_18_unk04 },
	{ 11513, PeepSpriteImage_983754_19_unk04 },
	{ 11597, PeepSpriteImage_983754_20_unk04 },
	{ 11669, PeepSpriteImage_983754_21_unk04 },
	{ 11669, PeepSpriteImage_983754_22_unk04 },
	{ 11801, PeepSpriteImage_983754_23_unk04 },
	{ 11669, PeepSpriteImage_983754_24_unk04 },
	{ 11377, PeepSpriteImage_983754_25_unk04 },
	{ 6989, PeepSpriteImage_983754_26_unk04 },
	{ 7041, PeepSpriteImage_983754_27_unk04 },
	{ 7101, PeepSpriteImage_983754_28_unk04 },
	{ 11401, PeepSpriteImage_983754_29_unk04 },
	{ 7121, PeepSpriteImage_983754_30_unk04 },
	{ 7149, PeepSpriteImage_983754_31_unk04 },
	{ 7249, PeepSpriteImage_983754_32_unk04 },
	{ 7309, PeepSpriteImage_983754_33_unk04 },
	{ 7329, PeepSpriteImage_983754_34_unk04 },
	{ 7285, PeepSpriteImage_983754_35_unk04 },
	{ 7181, PeepSpriteImage_983754_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_983B40[] = {
	{ 8385, PeepSpriteImage_983B40_0_unk04 },
	{ 6585, PeepSpriteImage_983B40_1_unk04 },
	{ 8381, PeepSpriteImage_983B40_2_unk04 },
	{ 8509, PeepSpriteImage_983B40_3_unk04 },
	{ 6697, PeepSpriteImage_983B40_4_unk04 },
	{ 6757, PeepSpriteImage_983B40_5_unk04 },
	{ 6561, PeepSpriteImage_983B40_6_unk04 },
	{ 8457, PeepSpriteImage_983B40_7_unk04 },
	{ 8461, PeepSpriteImage_983B40_8_unk04 },
	{ 6637, PeepSpriteImage_983B40_9_unk04 },
	{ 6645, PeepSpriteImage_983B40_10_unk04 },
	{ 6813, PeepSpriteImage_983B40_11_unk04 },
	{ 11301, PeepSpriteImage_983B40_12_unk04 },
	{ 6825, PeepSpriteImage_983B40_13_unk04 },
	{ 6845, PeepSpriteImage_983B40_14_unk04 },
	{ 6909, PeepSpriteImage_983B40_15_unk04 },
	{ 11325, PeepSpriteImage_983B40_16_unk04 },
	{ 6957, PeepSpriteImage_983B40_17_unk04 },
	{ 11513, PeepSpriteImage_983B40_18_unk04 },
	{ 11513, PeepSpriteImage_983B40_19_unk04 },
	{ 11597, PeepSpriteImage_983B40_20_unk04 },
	{ 11669, PeepSpriteImage_983B40_21_unk04 },
	{ 11669, PeepSpriteImage_983B40_22_unk04 },
	{ 11801, PeepSpriteImage_983B40_23_unk04 },
	{ 11669, PeepSpriteImage_983B40_24_unk04 },
	{ 11377, PeepSpriteImage_983B40_25_unk04 },
	{ 6989, PeepSpriteImage_983B40_26_unk04 },
	{ 7041, PeepSpriteImage_983B40_27_unk04 },
	{ 7101, PeepSpriteImage_983B40_28_unk04 },
	{ 11401, PeepSpriteImage_983B40_29_unk04 },
	{ 7121, PeepSpriteImage_983B40_30_unk04 },
	{ 7149, PeepSpriteImage_983B40_31_unk04 },
	{ 7249, PeepSpriteImage_983B40_32_unk04 },
	{ 7309, PeepSpriteImage_983B40_33_unk04 },
	{ 7329, PeepSpriteImage_983B40_34_unk04 },
	{ 7285, PeepSpriteImage_983B40_35_unk04 },
	{ 7181, PeepSpriteImage_983B40_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_983F40[] = {
	{ 8713, PeepSpriteImage_983F40_0_unk04 },
	{ 6585, PeepSpriteImage_983F40_1_unk04 },
	{ 8709, PeepSpriteImage_983F40_2_unk04 },
	{ 8837, PeepSpriteImage_983F40_3_unk04 },
	{ 6697, PeepSpriteImage_983F40_4_unk04 },
	{ 6757, PeepSpriteImage_983F40_5_unk04 },
	{ 6561, PeepSpriteImage_983F40_6_unk04 },
	{ 8785, PeepSpriteImage_983F40_7_unk04 },
	{ 8789, PeepSpriteImage_983F40_8_unk04 },
	{ 6637, PeepSpriteImage_983F40_9_unk04 },
	{ 6645, PeepSpriteImage_983F40_10_unk04 },
	{ 6813, PeepSpriteImage_983F40_11_unk04 },
	{ 11301, PeepSpriteImage_983F40_12_unk04 },
	{ 6825, PeepSpriteImage_983F40_13_unk04 },
	{ 6845, PeepSpriteImage_983F40_14_unk04 },
	{ 6909, PeepSpriteImage_983F40_15_unk04 },
	{ 11325, PeepSpriteImage_983F40_16_unk04 },
	{ 6957, PeepSpriteImage_983F40_17_unk04 },
	{ 11513, PeepSpriteImage_983F40_18_unk04 },
	{ 11513, PeepSpriteImage_983F40_19_unk04 },
	{ 11597, PeepSpriteImage_983F40_20_unk04 },
	{ 11669, PeepSpriteImage_983F40_21_unk04 },
	{ 11669, PeepSpriteImage_983F40_22_unk04 },
	{ 11801, PeepSpriteImage_983F40_23_unk04 },
	{ 11669, PeepSpriteImage_983F40_24_unk04 },
	{ 11377, PeepSpriteImage_983F40_25_unk04 },
	{ 6989, PeepSpriteImage_983F40_26_unk04 },
	{ 7041, PeepSpriteImage_983F40_27_unk04 },
	{ 7101, PeepSpriteImage_983F40_28_unk04 },
	{ 11401, PeepSpriteImage_983F40_29_unk04 },
	{ 7121, PeepSpriteImage_983F40_30_unk04 },
	{ 7149, PeepSpriteImage_983F40_31_unk04 },
	{ 7249, PeepSpriteImage_983F40_32_unk04 },
	{ 7309, PeepSpriteImage_983F40_33_unk04 },
	{ 7329, PeepSpriteImage_983F40_34_unk04 },
	{ 7285, PeepSpriteImage_983F40_35_unk04 },
	{ 7181, PeepSpriteImage_983F40_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_985BD0[] = {
	{ 10785, PeepSpriteImage_985BD0_0_unk04 },
	{ 6585, PeepSpriteImage_985BD0_1_unk04 },
	{ 10781, PeepSpriteImage_985BD0_2_unk04 },
	{ 6653, PeepSpriteImage_985BD0_3_unk04 },
	{ 6697, PeepSpriteImage_985BD0_4_unk04 },
	{ 6757, PeepSpriteImage_985BD0_5_unk04 },
	{ 6561, PeepSpriteImage_985BD0_6_unk04 },
	{ 10809, PeepSpriteImage_985BD0_7_unk04 },
	{ 6629, PeepSpriteImage_985BD0_8_unk04 },
	{ 6637, PeepSpriteImage_985BD0_9_unk04 },
	{ 6645, PeepSpriteImage_985BD0_10_unk04 },
	{ 6813, PeepSpriteImage_985BD0_11_unk04 },
	{ 11301, PeepSpriteImage_985BD0_12_unk04 },
	{ 6825, PeepSpriteImage_985BD0_13_unk04 },
	{ 6845, PeepSpriteImage_985BD0_14_unk04 },
	{ 6909, PeepSpriteImage_985BD0_15_unk04 },
	{ 11325, PeepSpriteImage_985BD0_16_unk04 },
	{ 6957, PeepSpriteImage_985BD0_17_unk04 },
	{ 11513, PeepSpriteImage_985BD0_18_unk04 },
	{ 11513, PeepSpriteImage_985BD0_19_unk04 },
	{ 11597, PeepSpriteImage_985BD0_20_unk04 },
	{ 11669, PeepSpriteImage_985BD0_21_unk04 },
	{ 11669, PeepSpriteImage_985BD0_22_unk04 },
	{ 11801, PeepSpriteImage_985BD0_23_unk04 },
	{ 11669, PeepSpriteImage_985BD0_24_unk04 },
	{ 11377, PeepSpriteImage_985BD0_25_unk04 },
	{ 6989, PeepSpriteImage_985BD0_26_unk04 },
	{ 7041, PeepSpriteImage_985BD0_27_unk04 },
	{ 7101, PeepSpriteImage_985BD0_28_unk04 },
	{ 11401, PeepSpriteImage_985BD0_29_unk04 },
	{ 7121, PeepSpriteImage_985BD0_30_unk04 },
	{ 7149, PeepSpriteImage_985BD0_31_unk04 },
	{ 7249, PeepSpriteImage_985BD0_32_unk04 },
	{ 7309, PeepSpriteImage_985BD0_33_unk04 },
	{ 7329, PeepSpriteImage_985BD0_34_unk04 },
	{ 7285, PeepSpriteImage_985BD0_35_unk04 },
	{ 7181, PeepSpriteImage_985BD0_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9857D0[] = {
	{ 10849, PeepSpriteImage_9857D0_0_unk04 },
	{ 6585, PeepSpriteImage_9857D0_1_unk04 },
	{ 10845, PeepSpriteImage_9857D0_2_unk04 },
	{ 10973, PeepSpriteImage_9857D0_3_unk04 },
	{ 6697, PeepSpriteImage_9857D0_4_unk04 },
	{ 6757, PeepSpriteImage_9857D0_5_unk04 },
	{ 6561, PeepSpriteImage_9857D0_6_unk04 },
	{ 10921, PeepSpriteImage_9857D0_7_unk04 },
	{ 10925, PeepSpriteImage_9857D0_8_unk04 },
	{ 6637, PeepSpriteImage_9857D0_9_unk04 },
	{ 6645, PeepSpriteImage_9857D0_10_unk04 },
	{ 6813, PeepSpriteImage_9857D0_11_unk04 },
	{ 11301, PeepSpriteImage_9857D0_12_unk04 },
	{ 6825, PeepSpriteImage_9857D0_13_unk04 },
	{ 6845, PeepSpriteImage_9857D0_14_unk04 },
	{ 6909, PeepSpriteImage_9857D0_15_unk04 },
	{ 11325, PeepSpriteImage_9857D0_16_unk04 },
	{ 6957, PeepSpriteImage_9857D0_17_unk04 },
	{ 11513, PeepSpriteImage_9857D0_18_unk04 },
	{ 11513, PeepSpriteImage_9857D0_19_unk04 },
	{ 11597, PeepSpriteImage_9857D0_20_unk04 },
	{ 11669, PeepSpriteImage_9857D0_21_unk04 },
	{ 11669, PeepSpriteImage_9857D0_22_unk04 },
	{ 11801, PeepSpriteImage_9857D0_23_unk04 },
	{ 11669, PeepSpriteImage_9857D0_24_unk04 },
	{ 11377, PeepSpriteImage_9857D0_25_unk04 },
	{ 6989, PeepSpriteImage_9857D0_26_unk04 },
	{ 7041, PeepSpriteImage_9857D0_27_unk04 },
	{ 7101, PeepSpriteImage_9857D0_28_unk04 },
	{ 11401, PeepSpriteImage_9857D0_29_unk04 },
	{ 7121, PeepSpriteImage_9857D0_30_unk04 },
	{ 7149, PeepSpriteImage_9857D0_31_unk04 },
	{ 7249, PeepSpriteImage_9857D0_32_unk04 },
	{ 7309, PeepSpriteImage_9857D0_33_unk04 },
	{ 7329, PeepSpriteImage_9857D0_34_unk04 },
	{ 7285, PeepSpriteImage_9857D0_35_unk04 },
	{ 7181, PeepSpriteImage_9857D0_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_985D94[] = {
	{ 11197, PeepSpriteImage_985D94_0_unk04 },
	{ 6585, PeepSpriteImage_985D94_1_unk04 },
	{ 11221, PeepSpriteImage_985D94_2_unk04 },
	{ 6653, PeepSpriteImage_985D94_3_unk04 },
	{ 6697, PeepSpriteImage_985D94_4_unk04 },
	{ 6757, PeepSpriteImage_985D94_5_unk04 },
	{ 6561, PeepSpriteImage_985D94_6_unk04 },
	{ 11225, PeepSpriteImage_985D94_7_unk04 },
	{ 6629, PeepSpriteImage_985D94_8_unk04 },
	{ 6637, PeepSpriteImage_985D94_9_unk04 },
	{ 6645, PeepSpriteImage_985D94_10_unk04 },
	{ 6813, PeepSpriteImage_985D94_11_unk04 },
	{ 11301, PeepSpriteImage_985D94_12_unk04 },
	{ 6825, PeepSpriteImage_985D94_13_unk04 },
	{ 6845, PeepSpriteImage_985D94_14_unk04 },
	{ 6909, PeepSpriteImage_985D94_15_unk04 },
	{ 11325, PeepSpriteImage_985D94_16_unk04 },
	{ 6957, PeepSpriteImage_985D94_17_unk04 },
	{ 11513, PeepSpriteImage_985D94_18_unk04 },
	{ 11513, PeepSpriteImage_985D94_19_unk04 },
	{ 11597, PeepSpriteImage_985D94_20_unk04 },
	{ 11669, PeepSpriteImage_985D94_21_unk04 },
	{ 11669, PeepSpriteImage_985D94_22_unk04 },
	{ 11801, PeepSpriteImage_985D94_23_unk04 },
	{ 11669, PeepSpriteImage_985D94_24_unk04 },
	{ 11377, PeepSpriteImage_985D94_25_unk04 },
	{ 6989, PeepSpriteImage_985D94_26_unk04 },
	{ 7041, PeepSpriteImage_985D94_27_unk04 },
	{ 7101, PeepSpriteImage_985D94_28_unk04 },
	{ 11401, PeepSpriteImage_985D94_29_unk04 },
	{ 7121, PeepSpriteImage_985D94_30_unk04 },
	{ 7149, PeepSpriteImage_985D94_31_unk04 },
	{ 7249, PeepSpriteImage_985D94_32_unk04 },
	{ 7309, PeepSpriteImage_985D94_33_unk04 },
	{ 7329, PeepSpriteImage_985D94_34_unk04 },
	{ 7285, PeepSpriteImage_985D94_35_unk04 },
	{ 7181, PeepSpriteImage_985D94_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_983954[] = {
	{ 7785, PeepSpriteImage_983954_0_unk04 },
	{ 6585, PeepSpriteImage_983954_1_unk04 },
	{ 7781, PeepSpriteImage_983954_2_unk04 },
	{ 7861, PeepSpriteImage_983954_3_unk04 },
	{ 6697, PeepSpriteImage_983954_4_unk04 },
	{ 6757, PeepSpriteImage_983954_5_unk04 },
	{ 6561, PeepSpriteImage_983954_6_unk04 },
	{ 7833, PeepSpriteImage_983954_7_unk04 },
	{ 7837, PeepSpriteImage_983954_8_unk04 },
	{ 6637, PeepSpriteImage_983954_9_unk04 },
	{ 6645, PeepSpriteImage_983954_10_unk04 },
	{ 6813, PeepSpriteImage_983954_11_unk04 },
	{ 11301, PeepSpriteImage_983954_12_unk04 },
	{ 6825, PeepSpriteImage_983954_13_unk04 },
	{ 6845, PeepSpriteImage_983954_14_unk04 },
	{ 6909, PeepSpriteImage_983954_15_unk04 },
	{ 11325, PeepSpriteImage_983954_16_unk04 },
	{ 6957, PeepSpriteImage_983954_17_unk04 },
	{ 11513, PeepSpriteImage_983954_18_unk04 },
	{ 11513, PeepSpriteImage_983954_19_unk04 },
	{ 11597, PeepSpriteImage_983954_20_unk04 },
	{ 11669, PeepSpriteImage_983954_21_unk04 },
	{ 11669, PeepSpriteImage_983954_22_unk04 },
	{ 11801, PeepSpriteImage_983954_23_unk04 },
	{ 11669, PeepSpriteImage_983954_24_unk04 },
	{ 11377, PeepSpriteImage_983954_25_unk04 },
	{ 6989, PeepSpriteImage_983954_26_unk04 },
	{ 7041, PeepSpriteImage_983954_27_unk04 },
	{ 7101, PeepSpriteImage_983954_28_unk04 },
	{ 11401, PeepSpriteImage_983954_29_unk04 },
	{ 7121, PeepSpriteImage_983954_30_unk04 },
	{ 7149, PeepSpriteImage_983954_31_unk04 },
	{ 7249, PeepSpriteImage_983954_32_unk04 },
	{ 7309, PeepSpriteImage_983954_33_unk04 },
	{ 7329, PeepSpriteImage_983954_34_unk04 },
	{ 7285, PeepSpriteImage_983954_35_unk04 },
	{ 7181, PeepSpriteImage_983954_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9867F0[] = {
	{ 11949, PeepSpriteImage_9867F0_0_unk04 },
	{ 6585, PeepSpriteImage_9867F0_1_unk04 },
	{ 11905, PeepSpriteImage_9867F0_2_unk04 },
	{ 6653, PeepSpriteImage_9867F0_3_unk04 },
	{ 6697, PeepSpriteImage_9867F0_4_unk04 },
	{ 6757, PeepSpriteImage_9867F0_5_unk04 },
	{ 6561, PeepSpriteImage_9867F0_6_unk04 },
	{ 6625, PeepSpriteImage_9867F0_7_unk04 },
	{ 6629, PeepSpriteImage_9867F0_8_unk04 },
	{ 6637, PeepSpriteImage_9867F0_9_unk04 },
	{ 6645, PeepSpriteImage_9867F0_10_unk04 },
	{ 11909, PeepSpriteImage_9867F0_11_unk04 },
	{ 11301, PeepSpriteImage_9867F0_12_unk04 },
	{ 6825, PeepSpriteImage_9867F0_13_unk04 },
	{ 6845, PeepSpriteImage_9867F0_14_unk04 },
	{ 6909, PeepSpriteImage_9867F0_15_unk04 },
	{ 11325, PeepSpriteImage_9867F0_16_unk04 },
	{ 11921, PeepSpriteImage_9867F0_17_unk04 },
	{ 11513, PeepSpriteImage_9867F0_18_unk04 },
	{ 11513, PeepSpriteImage_9867F0_19_unk04 },
	{ 11597, PeepSpriteImage_9867F0_20_unk04 },
	{ 11669, PeepSpriteImage_9867F0_21_unk04 },
	{ 11669, PeepSpriteImage_9867F0_22_unk04 },
	{ 11801, PeepSpriteImage_9867F0_23_unk04 },
	{ 11669, PeepSpriteImage_9867F0_24_unk04 },
	{ 11377, PeepSpriteImage_9867F0_25_unk04 },
	{ 6989, PeepSpriteImage_9867F0_26_unk04 },
	{ 7041, PeepSpriteImage_9867F0_27_unk04 },
	{ 7101, PeepSpriteImage_9867F0_28_unk04 },
	{ 11401, PeepSpriteImage_9867F0_29_unk04 },
	{ 7121, PeepSpriteImage_9867F0_30_unk04 },
	{ 7149, PeepSpriteImage_9867F0_31_unk04 },
	{ 7249, PeepSpriteImage_9867F0_32_unk04 },
	{ 7309, PeepSpriteImage_9867F0_33_unk04 },
	{ 7329, PeepSpriteImage_9867F0_34_unk04 },
	{ 7285, PeepSpriteImage_9867F0_35_unk04 },
	{ 7181, PeepSpriteImage_9867F0_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9859D0[] = {
	{ 11025, PeepSpriteImage_9859D0_0_unk04 },
	{ 6585, PeepSpriteImage_9859D0_1_unk04 },
	{ 11021, PeepSpriteImage_9859D0_2_unk04 },
	{ 11149, PeepSpriteImage_9859D0_3_unk04 },
	{ 6697, PeepSpriteImage_9859D0_4_unk04 },
	{ 6757, PeepSpriteImage_9859D0_5_unk04 },
	{ 6561, PeepSpriteImage_9859D0_6_unk04 },
	{ 11097, PeepSpriteImage_9859D0_7_unk04 },
	{ 11101, PeepSpriteImage_9859D0_8_unk04 },
	{ 6637, PeepSpriteImage_9859D0_9_unk04 },
	{ 6645, PeepSpriteImage_9859D0_10_unk04 },
	{ 6813, PeepSpriteImage_9859D0_11_unk04 },
	{ 11301, PeepSpriteImage_9859D0_12_unk04 },
	{ 6825, PeepSpriteImage_9859D0_13_unk04 },
	{ 6845, PeepSpriteImage_9859D0_14_unk04 },
	{ 6909, PeepSpriteImage_9859D0_15_unk04 },
	{ 11325, PeepSpriteImage_9859D0_16_unk04 },
	{ 6957, PeepSpriteImage_9859D0_17_unk04 },
	{ 11513, PeepSpriteImage_9859D0_18_unk04 },
	{ 11513, PeepSpriteImage_9859D0_19_unk04 },
	{ 11597, PeepSpriteImage_9859D0_20_unk04 },
	{ 11669, PeepSpriteImage_9859D0_21_unk04 },
	{ 11669, PeepSpriteImage_9859D0_22_unk04 },
	{ 11801, PeepSpriteImage_9859D0_23_unk04 },
	{ 11669, PeepSpriteImage_9859D0_24_unk04 },
	{ 11377, PeepSpriteImage_9859D0_25_unk04 },
	{ 6989, PeepSpriteImage_9859D0_26_unk04 },
	{ 7041, PeepSpriteImage_9859D0_27_unk04 },
	{ 7101, PeepSpriteImage_9859D0_28_unk04 },
	{ 11401, PeepSpriteImage_9859D0_29_unk04 },
	{ 7121, PeepSpriteImage_9859D0_30_unk04 },
	{ 7149, PeepSpriteImage_9859D0_31_unk04 },
	{ 7249, PeepSpriteImage_9859D0_32_unk04 },
	{ 7309, PeepSpriteImage_9859D0_33_unk04 },
	{ 7329, PeepSpriteImage_9859D0_34_unk04 },
	{ 7285, PeepSpriteImage_9859D0_35_unk04 },
	{ 7181, PeepSpriteImage_9859D0_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_982AD8[] = {
	{ 6433, PeepSpriteImage_982AD8_0_unk04 },
	{ 6585, PeepSpriteImage_982AD8_1_unk04 },
	{ 6621, PeepSpriteImage_982AD8_2_unk04 },
	{ 6653, PeepSpriteImage_982AD8_3_unk04 },
	{ 6697, PeepSpriteImage_982AD8_4_unk04 },
	{ 6757, PeepSpriteImage_982AD8_5_unk04 },
	{ 6561, PeepSpriteImage_982AD8_6_unk04 },
	{ 6625, PeepSpriteImage_982AD8_7_unk04 },
	{ 6629, PeepSpriteImage_982AD8_8_unk04 },
	{ 6637, PeepSpriteImage_982AD8_9_unk04 },
	{ 6645, PeepSpriteImage_982AD8_10_unk04 },
	{ 6813, PeepSpriteImage_982AD8_11_unk04 },
	{ 11301, PeepSpriteImage_982AD8_12_unk04 },
	{ 6825, PeepSpriteImage_982AD8_13_unk04 },
	{ 6845, PeepSpriteImage_982AD8_14_unk04 },
	{ 6909, PeepSpriteImage_982AD8_15_unk04 },
	{ 11325, PeepSpriteImage_982AD8_16_unk04 },
	{ 6957, PeepSpriteImage_982AD8_17_unk04 },
	{ 11513, PeepSpriteImage_982AD8_18_unk04 },
	{ 11513, PeepSpriteImage_982AD8_19_unk04 },
	{ 11597, PeepSpriteImage_982AD8_20_unk04 },
	{ 11669, PeepSpriteImage_982AD8_21_unk04 },
	{ 11669, PeepSpriteImage_982AD8_22_unk04 },
	{ 11801, PeepSpriteImage_982AD8_23_unk04 },
	{ 11669, PeepSpriteImage_982AD8_24_unk04 },
	{ 11377, PeepSpriteImage_982AD8_25_unk04 },
	{ 6989, PeepSpriteImage_982AD8_26_unk04 },
	{ 7041, PeepSpriteImage_982AD8_27_unk04 },
	{ 7101, PeepSpriteImage_982AD8_28_unk04 },
	{ 11401, PeepSpriteImage_982AD8_29_unk04 },
	{ 7121, PeepSpriteImage_982AD8_30_unk04 },
	{ 7149, PeepSpriteImage_982AD8_31_unk04 },
	{ 7249, PeepSpriteImage_982AD8_32_unk04 },
	{ 7309, PeepSpriteImage_982AD8_33_unk04 },
	{ 7329, PeepSpriteImage_982AD8_34_unk04 },
	{ 7285, PeepSpriteImage_982AD8_35_unk04 },
	{ 7181, PeepSpriteImage_982AD8_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_982C00[] = {
	{ 6457, PeepSpriteImage_982C00_0_unk04 },
	{ 6585, PeepSpriteImage_982C00_1_unk04 },
	{ 6621, PeepSpriteImage_982C00_2_unk04 },
	{ 6653, PeepSpriteImage_982C00_3_unk04 },
	{ 6697, PeepSpriteImage_982C00_4_unk04 },
	{ 6757, PeepSpriteImage_982C00_5_unk04 },
	{ 6561, PeepSpriteImage_982C00_6_unk04 },
	{ 6625, PeepSpriteImage_982C00_7_unk04 },
	{ 6629, PeepSpriteImage_982C00_8_unk04 },
	{ 6637, PeepSpriteImage_982C00_9_unk04 },
	{ 6645, PeepSpriteImage_982C00_10_unk04 },
	{ 6813, PeepSpriteImage_982C00_11_unk04 },
	{ 11301, PeepSpriteImage_982C00_12_unk04 },
	{ 6825, PeepSpriteImage_982C00_13_unk04 },
	{ 6845, PeepSpriteImage_982C00_14_unk04 },
	{ 6909, PeepSpriteImage_982C00_15_unk04 },
	{ 11325, PeepSpriteImage_982C00_16_unk04 },
	{ 6957, PeepSpriteImage_982C00_17_unk04 },
	{ 11513, PeepSpriteImage_982C00_18_unk04 },
	{ 11513, PeepSpriteImage_982C00_19_unk04 },
	{ 11597, PeepSpriteImage_982C00_20_unk04 },
	{ 11669, PeepSpriteImage_982C00_21_unk04 },
	{ 11669, PeepSpriteImage_982C00_22_unk04 },
	{ 11801, PeepSpriteImage_982C00_23_unk04 },
	{ 11669, PeepSpriteImage_982C00_24_unk04 },
	{ 11377, PeepSpriteImage_982C00_25_unk04 },
	{ 6989, PeepSpriteImage_982C00_26_unk04 },
	{ 7041, PeepSpriteImage_982C00_27_unk04 },
	{ 7101, PeepSpriteImage_982C00_28_unk04 },
	{ 11401, PeepSpriteImage_982C00_29_unk04 },
	{ 7121, PeepSpriteImage_982C00_30_unk04 },
	{ 7149, PeepSpriteImage_982C00_31_unk04 },
	{ 7249, PeepSpriteImage_982C00_32_unk04 },
	{ 7309, PeepSpriteImage_982C00_33_unk04 },
	{ 7329, PeepSpriteImage_982C00_34_unk04 },
	{ 7285, PeepSpriteImage_982C00_35_unk04 },
	{ 7181, PeepSpriteImage_982C00_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_982D28[] = {
	{ 6481, PeepSpriteImage_982D28_0_unk04 },
	{ 6585, PeepSpriteImage_982D28_1_unk04 },
	{ 6621, PeepSpriteImage_982D28_2_unk04 },
	{ 6653, PeepSpriteImage_982D28_3_unk04 },
	{ 6697, PeepSpriteImage_982D28_4_unk04 },
	{ 6757, PeepSpriteImage_982D28_5_unk04 },
	{ 6561, PeepSpriteImage_982D28_6_unk04 },
	{ 6625, PeepSpriteImage_982D28_7_unk04 },
	{ 6629, PeepSpriteImage_982D28_8_unk04 },
	{ 6637, PeepSpriteImage_982D28_9_unk04 },
	{ 6645, PeepSpriteImage_982D28_10_unk04 },
	{ 6813, PeepSpriteImage_982D28_11_unk04 },
	{ 11301, PeepSpriteImage_982D28_12_unk04 },
	{ 6825, PeepSpriteImage_982D28_13_unk04 },
	{ 6845, PeepSpriteImage_982D28_14_unk04 },
	{ 6909, PeepSpriteImage_982D28_15_unk04 },
	{ 11325, PeepSpriteImage_982D28_16_unk04 },
	{ 6957, PeepSpriteImage_982D28_17_unk04 },
	{ 11513, PeepSpriteImage_982D28_18_unk04 },
	{ 11513, PeepSpriteImage_982D28_19_unk04 },
	{ 11597, PeepSpriteImage_982D28_20_unk04 },
	{ 11669, PeepSpriteImage_982D28_21_unk04 },
	{ 11669, PeepSpriteImage_982D28_22_unk04 },
	{ 11801, PeepSpriteImage_982D28_23_unk04 },
	{ 11669, PeepSpriteImage_982D28_24_unk04 },
	{ 11377, PeepSpriteImage_982D28_25_unk04 },
	{ 6989, PeepSpriteImage_982D28_26_unk04 },
	{ 7041, PeepSpriteImage_982D28_27_unk04 },
	{ 7101, PeepSpriteImage_982D28_28_unk04 },
	{ 11401, PeepSpriteImage_982D28_29_unk04 },
	{ 7121, PeepSpriteImage_982D28_30_unk04 },
	{ 7149, PeepSpriteImage_982D28_31_unk04 },
	{ 7249, PeepSpriteImage_982D28_32_unk04 },
	{ 7309, PeepSpriteImage_982D28_33_unk04 },
	{ 7329, PeepSpriteImage_982D28_34_unk04 },
	{ 7285, PeepSpriteImage_982D28_35_unk04 },
	{ 7181, PeepSpriteImage_982D28_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_982E50[] = {
	{ 6505, PeepSpriteImage_982E50_0_unk04 },
	{ 6585, PeepSpriteImage_982E50_1_unk04 },
	{ 6529, PeepSpriteImage_982E50_2_unk04 },
	{ 6653, PeepSpriteImage_982E50_3_unk04 },
	{ 6697, PeepSpriteImage_982E50_4_unk04 },
	{ 6757, PeepSpriteImage_982E50_5_unk04 },
	{ 6561, PeepSpriteImage_982E50_6_unk04 },
	{ 6533, PeepSpriteImage_982E50_7_unk04 },
	{ 6629, PeepSpriteImage_982E50_8_unk04 },
	{ 6637, PeepSpriteImage_982E50_9_unk04 },
	{ 6645, PeepSpriteImage_982E50_10_unk04 },
	{ 6813, PeepSpriteImage_982E50_11_unk04 },
	{ 11301, PeepSpriteImage_982E50_12_unk04 },
	{ 6825, PeepSpriteImage_982E50_13_unk04 },
	{ 6845, PeepSpriteImage_982E50_14_unk04 },
	{ 6909, PeepSpriteImage_982E50_15_unk04 },
	{ 11325, PeepSpriteImage_982E50_16_unk04 },
	{ 6957, PeepSpriteImage_982E50_17_unk04 },
	{ 11513, PeepSpriteImage_982E50_18_unk04 },
	{ 11513, PeepSpriteImage_982E50_19_unk04 },
	{ 11597, PeepSpriteImage_982E50_20_unk04 },
	{ 11669, PeepSpriteImage_982E50_21_unk04 },
	{ 11669, PeepSpriteImage_982E50_22_unk04 },
	{ 11801, PeepSpriteImage_982E50_23_unk04 },
	{ 11669, PeepSpriteImage_982E50_24_unk04 },
	{ 11377, PeepSpriteImage_982E50_25_unk04 },
	{ 6989, PeepSpriteImage_982E50_26_unk04 },
	{ 7041, PeepSpriteImage_982E50_27_unk04 },
	{ 7101, PeepSpriteImage_982E50_28_unk04 },
	{ 11401, PeepSpriteImage_982E50_29_unk04 },
	{ 7121, PeepSpriteImage_982E50_30_unk04 },
	{ 7149, PeepSpriteImage_982E50_31_unk04 },
	{ 7249, PeepSpriteImage_982E50_32_unk04 },
	{ 7309, PeepSpriteImage_982E50_33_unk04 },
	{ 7329, PeepSpriteImage_982E50_34_unk04 },
	{ 7285, PeepSpriteImage_982E50_35_unk04 },
	{ 7181, PeepSpriteImage_982E50_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_982F78[] = {
	{ 6537, PeepSpriteImage_982F78_0_unk04 },
	{ 6585, PeepSpriteImage_982F78_1_unk04 },
	{ 6621, PeepSpriteImage_982F78_2_unk04 },
	{ 6653, PeepSpriteImage_982F78_3_unk04 },
	{ 6697, PeepSpriteImage_982F78_4_unk04 },
	{ 6757, PeepSpriteImage_982F78_5_unk04 },
	{ 6561, PeepSpriteImage_982F78_6_unk04 },
	{ 6625, PeepSpriteImage_982F78_7_unk04 },
	{ 6629, PeepSpriteImage_982F78_8_unk04 },
	{ 6637, PeepSpriteImage_982F78_9_unk04 },
	{ 6645, PeepSpriteImage_982F78_10_unk04 },
	{ 6813, PeepSpriteImage_982F78_11_unk04 },
	{ 11301, PeepSpriteImage_982F78_12_unk04 },
	{ 6825, PeepSpriteImage_982F78_13_unk04 },
	{ 6845, PeepSpriteImage_982F78_14_unk04 },
	{ 6909, PeepSpriteImage_982F78_15_unk04 },
	{ 11325, PeepSpriteImage_982F78_16_unk04 },
	{ 6957, PeepSpriteImage_982F78_17_unk04 },
	{ 11513, PeepSpriteImage_982F78_18_unk04 },
	{ 11513, PeepSpriteImage_982F78_19_unk04 },
	{ 11597, PeepSpriteImage_982F78_20_unk04 },
	{ 11669, PeepSpriteImage_982F78_21_unk04 },
	{ 11669, PeepSpriteImage_982F78_22_unk04 },
	{ 11801, PeepSpriteImage_982F78_23_unk04 },
	{ 11669, PeepSpriteImage_982F78_24_unk04 },
	{ 11377, PeepSpriteImage_982F78_25_unk04 },
	{ 6989, PeepSpriteImage_982F78_26_unk04 },
	{ 7041, PeepSpriteImage_982F78_27_unk04 },
	{ 7101, PeepSpriteImage_982F78_28_unk04 },
	{ 11401, PeepSpriteImage_982F78_29_unk04 },
	{ 7121, PeepSpriteImage_982F78_30_unk04 },
	{ 7149, PeepSpriteImage_982F78_31_unk04 },
	{ 7249, PeepSpriteImage_982F78_32_unk04 },
	{ 7309, PeepSpriteImage_982F78_33_unk04 },
	{ 7329, PeepSpriteImage_982F78_34_unk04 },
	{ 7285, PeepSpriteImage_982F78_35_unk04 },
	{ 7181, PeepSpriteImage_982F78_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_988440[] = {
	{ 10721, PeepSpriteImage_988440_0_unk04 },
	{ 6585, PeepSpriteImage_988440_1_unk04 },
	{ 10717, PeepSpriteImage_988440_2_unk04 },
	{ 6653, PeepSpriteImage_988440_3_unk04 },
	{ 6697, PeepSpriteImage_988440_4_unk04 },
	{ 6757, PeepSpriteImage_988440_5_unk04 },
	{ 6561, PeepSpriteImage_988440_6_unk04 },
	{ 10745, PeepSpriteImage_988440_7_unk04 },
	{ 6629, PeepSpriteImage_988440_8_unk04 },
	{ 6637, PeepSpriteImage_988440_9_unk04 },
	{ 6645, PeepSpriteImage_988440_10_unk04 },
	{ 6813, PeepSpriteImage_988440_11_unk04 },
	{ 11301, PeepSpriteImage_988440_12_unk04 },
	{ 6825, PeepSpriteImage_988440_13_unk04 },
	{ 6845, PeepSpriteImage_988440_14_unk04 },
	{ 6909, PeepSpriteImage_988440_15_unk04 },
	{ 11325, PeepSpriteImage_988440_16_unk04 },
	{ 6957, PeepSpriteImage_988440_17_unk04 },
	{ 11513, PeepSpriteImage_988440_18_unk04 },
	{ 11513, PeepSpriteImage_988440_19_unk04 },
	{ 11597, PeepSpriteImage_988440_20_unk04 },
	{ 11669, PeepSpriteImage_988440_21_unk04 },
	{ 11669, PeepSpriteImage_988440_22_unk04 },
	{ 11801, PeepSpriteImage_988440_23_unk04 },
	{ 11669, PeepSpriteImage_988440_24_unk04 },
	{ 11377, PeepSpriteImage_988440_25_unk04 },
	{ 6989, PeepSpriteImage_988440_26_unk04 },
	{ 7041, PeepSpriteImage_988440_27_unk04 },
	{ 7101, PeepSpriteImage_988440_28_unk04 },
	{ 11401, PeepSpriteImage_988440_29_unk04 },
	{ 7121, PeepSpriteImage_988440_30_unk04 },
	{ 7149, PeepSpriteImage_988440_31_unk04 },
	{ 7249, PeepSpriteImage_988440_32_unk04 },
	{ 7309, PeepSpriteImage_988440_33_unk04 },
	{ 7329, PeepSpriteImage_988440_34_unk04 },
	{ 7285, PeepSpriteImage_988440_35_unk04 },
	{ 7181, PeepSpriteImage_988440_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_988604[] = {
	{ 7889, PeepSpriteImage_988604_0_unk04 },
	{ 6585, PeepSpriteImage_988604_1_unk04 },
	{ 7885, PeepSpriteImage_988604_2_unk04 },
	{ 8013, PeepSpriteImage_988604_3_unk04 },
	{ 6697, PeepSpriteImage_988604_4_unk04 },
	{ 6757, PeepSpriteImage_988604_5_unk04 },
	{ 6561, PeepSpriteImage_988604_6_unk04 },
	{ 7961, PeepSpriteImage_988604_7_unk04 },
	{ 7965, PeepSpriteImage_988604_8_unk04 },
	{ 6637, PeepSpriteImage_988604_9_unk04 },
	{ 6645, PeepSpriteImage_988604_10_unk04 },
	{ 6813, PeepSpriteImage_988604_11_unk04 },
	{ 11301, PeepSpriteImage_988604_12_unk04 },
	{ 6825, PeepSpriteImage_988604_13_unk04 },
	{ 6845, PeepSpriteImage_988604_14_unk04 },
	{ 6909, PeepSpriteImage_988604_15_unk04 },
	{ 11325, PeepSpriteImage_988604_16_unk04 },
	{ 6957, PeepSpriteImage_988604_17_unk04 },
	{ 11513, PeepSpriteImage_988604_18_unk04 },
	{ 11513, PeepSpriteImage_988604_19_unk04 },
	{ 11597, PeepSpriteImage_988604_20_unk04 },
	{ 11669, PeepSpriteImage_988604_21_unk04 },
	{ 11669, PeepSpriteImage_988604_22_unk04 },
	{ 11801, PeepSpriteImage_988604_23_unk04 },
	{ 11669, PeepSpriteImage_988604_24_unk04 },
	{ 11377, PeepSpriteImage_988604_25_unk04 },
	{ 6989, PeepSpriteImage_988604_26_unk04 },
	{ 7041, PeepSpriteImage_988604_27_unk04 },
	{ 7101, PeepSpriteImage_988604_28_unk04 },
	{ 11401, PeepSpriteImage_988604_29_unk04 },
	{ 7121, PeepSpriteImage_988604_30_unk04 },
	{ 7149, PeepSpriteImage_988604_31_unk04 },
	{ 7249, PeepSpriteImage_988604_32_unk04 },
	{ 7309, PeepSpriteImage_988604_33_unk04 },
	{ 7329, PeepSpriteImage_988604_34_unk04 },
	{ 7285, PeepSpriteImage_988604_35_unk04 },
	{ 7181, PeepSpriteImage_988604_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_988804[] = {
	{ 8065, PeepSpriteImage_988804_0_unk04 },
	{ 6585, PeepSpriteImage_988804_1_unk04 },
	{ 8061, PeepSpriteImage_988804_2_unk04 },
	{ 8285, PeepSpriteImage_988804_3_unk04 },
	{ 6697, PeepSpriteImage_988804_4_unk04 },
	{ 6757, PeepSpriteImage_988804_5_unk04 },
	{ 6561, PeepSpriteImage_988804_6_unk04 },
	{ 8185, PeepSpriteImage_988804_7_unk04 },
	{ 8189, PeepSpriteImage_988804_8_unk04 },
	{ 6637, PeepSpriteImage_988804_9_unk04 },
	{ 6645, PeepSpriteImage_988804_10_unk04 },
	{ 6813, PeepSpriteImage_988804_11_unk04 },
	{ 11301, PeepSpriteImage_988804_12_unk04 },
	{ 6825, PeepSpriteImage_988804_13_unk04 },
	{ 6845, PeepSpriteImage_988804_14_unk04 },
	{ 6909, PeepSpriteImage_988804_15_unk04 },
	{ 11325, PeepSpriteImage_988804_16_unk04 },
	{ 6957, PeepSpriteImage_988804_17_unk04 },
	{ 11513, PeepSpriteImage_988804_18_unk04 },
	{ 11513, PeepSpriteImage_988804_19_unk04 },
	{ 11597, PeepSpriteImage_988804_20_unk04 },
	{ 11669, PeepSpriteImage_988804_21_unk04 },
	{ 11669, PeepSpriteImage_988804_22_unk04 },
	{ 11801, PeepSpriteImage_988804_23_unk04 },
	{ 11669, PeepSpriteImage_988804_24_unk04 },
	{ 11377, PeepSpriteImage_988804_25_unk04 },
	{ 6989, PeepSpriteImage_988804_26_unk04 },
	{ 7041, PeepSpriteImage_988804_27_unk04 },
	{ 7101, PeepSpriteImage_988804_28_unk04 },
	{ 11401, PeepSpriteImage_988804_29_unk04 },
	{ 7121, PeepSpriteImage_988804_30_unk04 },
	{ 7149, PeepSpriteImage_988804_31_unk04 },
	{ 7249, PeepSpriteImage_988804_32_unk04 },
	{ 7309, PeepSpriteImage_988804_33_unk04 },
	{ 7329, PeepSpriteImage_988804_34_unk04 },
	{ 7285, PeepSpriteImage_988804_35_unk04 },
	{ 7181, PeepSpriteImage_988804_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_988A28[] = {
	{ 7401, PeepSpriteImage_988A28_0_unk04 },
	{ 6585, PeepSpriteImage_988A28_1_unk04 },
	{ 7397, PeepSpriteImage_988A28_2_unk04 },
	{ 7477, PeepSpriteImage_988A28_3_unk04 },
	{ 6697, PeepSpriteImage_988A28_4_unk04 },
	{ 6757, PeepSpriteImage_988A28_5_unk04 },
	{ 6561, PeepSpriteImage_988A28_6_unk04 },
	{ 7449, PeepSpriteImage_988A28_7_unk04 },
	{ 7453, PeepSpriteImage_988A28_8_unk04 },
	{ 6637, PeepSpriteImage_988A28_9_unk04 },
	{ 6645, PeepSpriteImage_988A28_10_unk04 },
	{ 6813, PeepSpriteImage_988A28_11_unk04 },
	{ 11301, PeepSpriteImage_988A28_12_unk04 },
	{ 6825, PeepSpriteImage_988A28_13_unk04 },
	{ 6845, PeepSpriteImage_988A28_14_unk04 },
	{ 6909, PeepSpriteImage_988A28_15_unk04 },
	{ 11325, PeepSpriteImage_988A28_16_unk04 },
	{ 6957, PeepSpriteImage_988A28_17_unk04 },
	{ 11513, PeepSpriteImage_988A28_18_unk04 },
	{ 11513, PeepSpriteImage_988A28_19_unk04 },
	{ 11597, PeepSpriteImage_988A28_20_unk04 },
	{ 11669, PeepSpriteImage_988A28_21_unk04 },
	{ 11669, PeepSpriteImage_988A28_22_unk04 },
	{ 11801, PeepSpriteImage_988A28_23_unk04 },
	{ 11669, PeepSpriteImage_988A28_24_unk04 },
	{ 11377, PeepSpriteImage_988A28_25_unk04 },
	{ 6989, PeepSpriteImage_988A28_26_unk04 },
	{ 7041, PeepSpriteImage_988A28_27_unk04 },
	{ 7101, PeepSpriteImage_988A28_28_unk04 },
	{ 11401, PeepSpriteImage_988A28_29_unk04 },
	{ 7121, PeepSpriteImage_988A28_30_unk04 },
	{ 7149, PeepSpriteImage_988A28_31_unk04 },
	{ 7249, PeepSpriteImage_988A28_32_unk04 },
	{ 7309, PeepSpriteImage_988A28_33_unk04 },
	{ 7329, PeepSpriteImage_988A28_34_unk04 },
	{ 7285, PeepSpriteImage_988A28_35_unk04 },
	{ 7181, PeepSpriteImage_988A28_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_983D40[] = {
	{ 8561, PeepSpriteImage_983D40_0_unk04 },
	{ 6585, PeepSpriteImage_983D40_1_unk04 },
	{ 8557, PeepSpriteImage_983D40_2_unk04 },
	{ 8661, PeepSpriteImage_983D40_3_unk04 },
	{ 6697, PeepSpriteImage_983D40_4_unk04 },
	{ 6757, PeepSpriteImage_983D40_5_unk04 },
	{ 6561, PeepSpriteImage_983D40_6_unk04 },
	{ 8633, PeepSpriteImage_983D40_7_unk04 },
	{ 8637, PeepSpriteImage_983D40_8_unk04 },
	{ 6637, PeepSpriteImage_983D40_9_unk04 },
	{ 6645, PeepSpriteImage_983D40_10_unk04 },
	{ 6813, PeepSpriteImage_983D40_11_unk04 },
	{ 11301, PeepSpriteImage_983D40_12_unk04 },
	{ 6825, PeepSpriteImage_983D40_13_unk04 },
	{ 6845, PeepSpriteImage_983D40_14_unk04 },
	{ 6909, PeepSpriteImage_983D40_15_unk04 },
	{ 11325, PeepSpriteImage_983D40_16_unk04 },
	{ 6957, PeepSpriteImage_983D40_17_unk04 },
	{ 11513, PeepSpriteImage_983D40_18_unk04 },
	{ 11513, PeepSpriteImage_983D40_19_unk04 },
	{ 11597, PeepSpriteImage_983D40_20_unk04 },
	{ 11669, PeepSpriteImage_983D40_21_unk04 },
	{ 11669, PeepSpriteImage_983D40_22_unk04 },
	{ 11801, PeepSpriteImage_983D40_23_unk04 },
	{ 11669, PeepSpriteImage_983D40_24_unk04 },
	{ 11377, PeepSpriteImage_983D40_25_unk04 },
	{ 6989, PeepSpriteImage_983D40_26_unk04 },
	{ 7041, PeepSpriteImage_983D40_27_unk04 },
	{ 7101, PeepSpriteImage_983D40_28_unk04 },
	{ 11401, PeepSpriteImage_983D40_29_unk04 },
	{ 7121, PeepSpriteImage_983D40_30_unk04 },
	{ 7149, PeepSpriteImage_983D40_31_unk04 },
	{ 7249, PeepSpriteImage_983D40_32_unk04 },
	{ 7309, PeepSpriteImage_983D40_33_unk04 },
	{ 7329, PeepSpriteImage_983D40_34_unk04 },
	{ 7285, PeepSpriteImage_983D40_35_unk04 },
	{ 7181, PeepSpriteImage_983D40_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_98414C[] = {
	{ 8885, PeepSpriteImage_98414C_0_unk04 },
	{ 6585, PeepSpriteImage_98414C_1_unk04 },
	{ 8981, PeepSpriteImage_98414C_2_unk04 },
	{ 8981, PeepSpriteImage_98414C_3_unk04 },
	{ 6697, PeepSpriteImage_98414C_4_unk04 },
	{ 6757, PeepSpriteImage_98414C_5_unk04 },
	{ 6561, PeepSpriteImage_98414C_6_unk04 },
	{ 8957, PeepSpriteImage_98414C_7_unk04 },
	{ 8957, PeepSpriteImage_98414C_8_unk04 },
	{ 6637, PeepSpriteImage_98414C_9_unk04 },
	{ 6645, PeepSpriteImage_98414C_10_unk04 },
	{ 6813, PeepSpriteImage_98414C_11_unk04 },
	{ 11301, PeepSpriteImage_98414C_12_unk04 },
	{ 6825, PeepSpriteImage_98414C_13_unk04 },
	{ 6845, PeepSpriteImage_98414C_14_unk04 },
	{ 6909, PeepSpriteImage_98414C_15_unk04 },
	{ 11325, PeepSpriteImage_98414C_16_unk04 },
	{ 6957, PeepSpriteImage_98414C_17_unk04 },
	{ 11513, PeepSpriteImage_98414C_18_unk04 },
	{ 11513, PeepSpriteImage_98414C_19_unk04 },
	{ 11597, PeepSpriteImage_98414C_20_unk04 },
	{ 11669, PeepSpriteImage_98414C_21_unk04 },
	{ 11669, PeepSpriteImage_98414C_22_unk04 },
	{ 11801, PeepSpriteImage_98414C_23_unk04 },
	{ 11669, PeepSpriteImage_98414C_24_unk04 },
	{ 11377, PeepSpriteImage_98414C_25_unk04 },
	{ 6989, PeepSpriteImage_98414C_26_unk04 },
	{ 7041, PeepSpriteImage_98414C_27_unk04 },
	{ 7101, PeepSpriteImage_98414C_28_unk04 },
	{ 11401, PeepSpriteImage_98414C_29_unk04 },
	{ 7121, PeepSpriteImage_98414C_30_unk04 },
	{ 7149, PeepSpriteImage_98414C_31_unk04 },
	{ 7249, PeepSpriteImage_98414C_32_unk04 },
	{ 7309, PeepSpriteImage_98414C_33_unk04 },
	{ 7329, PeepSpriteImage_98414C_34_unk04 },
	{ 7285, PeepSpriteImage_98414C_35_unk04 },
	{ 7181, PeepSpriteImage_98414C_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_984358[] = {
	{ 9005, PeepSpriteImage_984358_0_unk04 },
	{ 6585, PeepSpriteImage_984358_1_unk04 },
	{ 9125, PeepSpriteImage_984358_2_unk04 },
	{ 9125, PeepSpriteImage_984358_3_unk04 },
	{ 6697, PeepSpriteImage_984358_4_unk04 },
	{ 6757, PeepSpriteImage_984358_5_unk04 },
	{ 6561, PeepSpriteImage_984358_6_unk04 },
	{ 9077, PeepSpriteImage_984358_7_unk04 },
	{ 9077, PeepSpriteImage_984358_8_unk04 },
	{ 6637, PeepSpriteImage_984358_9_unk04 },
	{ 6645, PeepSpriteImage_984358_10_unk04 },
	{ 6813, PeepSpriteImage_984358_11_unk04 },
	{ 11301, PeepSpriteImage_984358_12_unk04 },
	{ 6825, PeepSpriteImage_984358_13_unk04 },
	{ 6845, PeepSpriteImage_984358_14_unk04 },
	{ 6909, PeepSpriteImage_984358_15_unk04 },
	{ 11325, PeepSpriteImage_984358_16_unk04 },
	{ 6957, PeepSpriteImage_984358_17_unk04 },
	{ 11513, PeepSpriteImage_984358_18_unk04 },
	{ 11513, PeepSpriteImage_984358_19_unk04 },
	{ 11597, PeepSpriteImage_984358_20_unk04 },
	{ 11669, PeepSpriteImage_984358_21_unk04 },
	{ 11669, PeepSpriteImage_984358_22_unk04 },
	{ 11801, PeepSpriteImage_984358_23_unk04 },
	{ 11669, PeepSpriteImage_984358_24_unk04 },
	{ 11377, PeepSpriteImage_984358_25_unk04 },
	{ 6989, PeepSpriteImage_984358_26_unk04 },
	{ 7041, PeepSpriteImage_984358_27_unk04 },
	{ 7101, PeepSpriteImage_984358_28_unk04 },
	{ 11401, PeepSpriteImage_984358_29_unk04 },
	{ 7121, PeepSpriteImage_984358_30_unk04 },
	{ 7149, PeepSpriteImage_984358_31_unk04 },
	{ 7249, PeepSpriteImage_984358_32_unk04 },
	{ 7309, PeepSpriteImage_984358_33_unk04 },
	{ 7329, PeepSpriteImage_984358_34_unk04 },
	{ 7285, PeepSpriteImage_984358_35_unk04 },
	{ 7181, PeepSpriteImage_984358_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_984564[] = {
	{ 9173, PeepSpriteImage_984564_0_unk04 },
	{ 6585, PeepSpriteImage_984564_1_unk04 },
	{ 9293, PeepSpriteImage_984564_2_unk04 },
	{ 9293, PeepSpriteImage_984564_3_unk04 },
	{ 6697, PeepSpriteImage_984564_4_unk04 },
	{ 6757, PeepSpriteImage_984564_5_unk04 },
	{ 6561, PeepSpriteImage_984564_6_unk04 },
	{ 9245, PeepSpriteImage_984564_7_unk04 },
	{ 9245, PeepSpriteImage_984564_8_unk04 },
	{ 6637, PeepSpriteImage_984564_9_unk04 },
	{ 6645, PeepSpriteImage_984564_10_unk04 },
	{ 6813, PeepSpriteImage_984564_11_unk04 },
	{ 11301, PeepSpriteImage_984564_12_unk04 },
	{ 6825, PeepSpriteImage_984564_13_unk04 },
	{ 6845, PeepSpriteImage_984564_14_unk04 },
	{ 6909, PeepSpriteImage_984564_15_unk04 },
	{ 11325, PeepSpriteImage_984564_16_unk04 },
	{ 6957, PeepSpriteImage_984564_17_unk04 },
	{ 11513, PeepSpriteImage_984564_18_unk04 },
	{ 11513, PeepSpriteImage_984564_19_unk04 },
	{ 11597, PeepSpriteImage_984564_20_unk04 },
	{ 11669, PeepSpriteImage_984564_21_unk04 },
	{ 11669, PeepSpriteImage_984564_22_unk04 },
	{ 11801, PeepSpriteImage_984564_23_unk04 },
	{ 11669, PeepSpriteImage_984564_24_unk04 },
	{ 11377, PeepSpriteImage_984564_25_unk04 },
	{ 6989, PeepSpriteImage_984564_26_unk04 },
	{ 7041, PeepSpriteImage_984564_27_unk04 },
	{ 7101, PeepSpriteImage_984564_28_unk04 },
	{ 11401, PeepSpriteImage_984564_29_unk04 },
	{ 7121, PeepSpriteImage_984564_30_unk04 },
	{ 7149, PeepSpriteImage_984564_31_unk04 },
	{ 7249, PeepSpriteImage_984564_32_unk04 },
	{ 7309, PeepSpriteImage_984564_33_unk04 },
	{ 7329, PeepSpriteImage_984564_34_unk04 },
	{ 7285, PeepSpriteImage_984564_35_unk04 },
	{ 7181, PeepSpriteImage_984564_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9829B0[] = {
	{ 6409, PeepSpriteImage_9829B0_0_unk04 },
	{ 6585, PeepSpriteImage_9829B0_1_unk04 },
	{ 7245, PeepSpriteImage_9829B0_2_unk04 },
	{ 6653, PeepSpriteImage_9829B0_3_unk04 },
	{ 6697, PeepSpriteImage_9829B0_4_unk04 },
	{ 6757, PeepSpriteImage_9829B0_5_unk04 },
	{ 6561, PeepSpriteImage_9829B0_6_unk04 },
	{ 6625, PeepSpriteImage_9829B0_7_unk04 },
	{ 6629, PeepSpriteImage_9829B0_8_unk04 },
	{ 6637, PeepSpriteImage_9829B0_9_unk04 },
	{ 6645, PeepSpriteImage_9829B0_10_unk04 },
	{ 6813, PeepSpriteImage_9829B0_11_unk04 },
	{ 11301, PeepSpriteImage_9829B0_12_unk04 },
	{ 6825, PeepSpriteImage_9829B0_13_unk04 },
	{ 6845, PeepSpriteImage_9829B0_14_unk04 },
	{ 6909, PeepSpriteImage_9829B0_15_unk04 },
	{ 11325, PeepSpriteImage_9829B0_16_unk04 },
	{ 6957, PeepSpriteImage_9829B0_17_unk04 },
	{ 11513, PeepSpriteImage_9829B0_18_unk04 },
	{ 11513, PeepSpriteImage_9829B0_19_unk04 },
	{ 11597, PeepSpriteImage_9829B0_20_unk04 },
	{ 11669, PeepSpriteImage_9829B0_21_unk04 },
	{ 11669, PeepSpriteImage_9829B0_22_unk04 },
	{ 11801, PeepSpriteImage_9829B0_23_unk04 },
	{ 11669, PeepSpriteImage_9829B0_24_unk04 },
	{ 11377, PeepSpriteImage_9829B0_25_unk04 },
	{ 6989, PeepSpriteImage_9829B0_26_unk04 },
	{ 7041, PeepSpriteImage_9829B0_27_unk04 },
	{ 7101, PeepSpriteImage_9829B0_28_unk04 },
	{ 11401, PeepSpriteImage_9829B0_29_unk04 },
	{ 7121, PeepSpriteImage_9829B0_30_unk04 },
	{ 7149, PeepSpriteImage_9829B0_31_unk04 },
	{ 7249, PeepSpriteImage_9829B0_32_unk04 },
	{ 7309, PeepSpriteImage_9829B0_33_unk04 },
	{ 7329, PeepSpriteImage_9829B0_34_unk04 },
	{ 7285, PeepSpriteImage_9829B0_35_unk04 },
	{ 7181, PeepSpriteImage_9829B0_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_984770[] = {
	{ 9341, PeepSpriteImage_984770_0_unk04 },
	{ 6585, PeepSpriteImage_984770_1_unk04 },
	{ 9461, PeepSpriteImage_984770_2_unk04 },
	{ 9461, PeepSpriteImage_984770_3_unk04 },
	{ 6697, PeepSpriteImage_984770_4_unk04 },
	{ 6757, PeepSpriteImage_984770_5_unk04 },
	{ 6561, PeepSpriteImage_984770_6_unk04 },
	{ 9413, PeepSpriteImage_984770_7_unk04 },
	{ 9413, PeepSpriteImage_984770_8_unk04 },
	{ 6637, PeepSpriteImage_984770_9_unk04 },
	{ 6645, PeepSpriteImage_984770_10_unk04 },
	{ 6813, PeepSpriteImage_984770_11_unk04 },
	{ 11301, PeepSpriteImage_984770_12_unk04 },
	{ 6825, PeepSpriteImage_984770_13_unk04 },
	{ 6845, PeepSpriteImage_984770_14_unk04 },
	{ 6909, PeepSpriteImage_984770_15_unk04 },
	{ 11325, PeepSpriteImage_984770_16_unk04 },
	{ 6957, PeepSpriteImage_984770_17_unk04 },
	{ 11513, PeepSpriteImage_984770_18_unk04 },
	{ 11513, PeepSpriteImage_984770_19_unk04 },
	{ 11597, PeepSpriteImage_984770_20_unk04 },
	{ 11669, PeepSpriteImage_984770_21_unk04 },
	{ 11669, PeepSpriteImage_984770_22_unk04 },
	{ 11801, PeepSpriteImage_984770_23_unk04 },
	{ 11669, PeepSpriteImage_984770_24_unk04 },
	{ 11377, PeepSpriteImage_984770_25_unk04 },
	{ 6989, PeepSpriteImage_984770_26_unk04 },
	{ 7041, PeepSpriteImage_984770_27_unk04 },
	{ 7101, PeepSpriteImage_984770_28_unk04 },
	{ 11401, PeepSpriteImage_984770_29_unk04 },
	{ 7121, PeepSpriteImage_984770_30_unk04 },
	{ 7149, PeepSpriteImage_984770_31_unk04 },
	{ 7249, PeepSpriteImage_984770_32_unk04 },
	{ 7309, PeepSpriteImage_984770_33_unk04 },
	{ 7329, PeepSpriteImage_984770_34_unk04 },
	{ 7285, PeepSpriteImage_984770_35_unk04 },
	{ 7181, PeepSpriteImage_984770_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_983434[] = {
	{ 10685, PeepSpriteImage_983434_0_unk04 },
	{ 6585, PeepSpriteImage_983434_1_unk04 },
	{ 10713, PeepSpriteImage_983434_2_unk04 },
	{ 6653, PeepSpriteImage_983434_3_unk04 },
	{ 6697, PeepSpriteImage_983434_4_unk04 },
	{ 6757, PeepSpriteImage_983434_5_unk04 },
	{ 6561, PeepSpriteImage_983434_6_unk04 },
	{ 10709, PeepSpriteImage_983434_7_unk04 },
	{ 6629, PeepSpriteImage_983434_8_unk04 },
	{ 6637, PeepSpriteImage_983434_9_unk04 },
	{ 6645, PeepSpriteImage_983434_10_unk04 },
	{ 6813, PeepSpriteImage_983434_11_unk04 },
	{ 11301, PeepSpriteImage_983434_12_unk04 },
	{ 6825, PeepSpriteImage_983434_13_unk04 },
	{ 6845, PeepSpriteImage_983434_14_unk04 },
	{ 6909, PeepSpriteImage_983434_15_unk04 },
	{ 11325, PeepSpriteImage_983434_16_unk04 },
	{ 6957, PeepSpriteImage_983434_17_unk04 },
	{ 11513, PeepSpriteImage_983434_18_unk04 },
	{ 11513, PeepSpriteImage_983434_19_unk04 },
	{ 11597, PeepSpriteImage_983434_20_unk04 },
	{ 11669, PeepSpriteImage_983434_21_unk04 },
	{ 11669, PeepSpriteImage_983434_22_unk04 },
	{ 11801, PeepSpriteImage_983434_23_unk04 },
	{ 11669, PeepSpriteImage_983434_24_unk04 },
	{ 11377, PeepSpriteImage_983434_25_unk04 },
	{ 6989, PeepSpriteImage_983434_26_unk04 },
	{ 7041, PeepSpriteImage_983434_27_unk04 },
	{ 7101, PeepSpriteImage_983434_28_unk04 },
	{ 11401, PeepSpriteImage_983434_29_unk04 },
	{ 7121, PeepSpriteImage_983434_30_unk04 },
	{ 7149, PeepSpriteImage_983434_31_unk04 },
	{ 7249, PeepSpriteImage_983434_32_unk04 },
	{ 7309, PeepSpriteImage_983434_33_unk04 },
	{ 7329, PeepSpriteImage_983434_34_unk04 },
	{ 7285, PeepSpriteImage_983434_35_unk04 },
	{ 7181, PeepSpriteImage_983434_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_98497C[] = {
	{ 9509, PeepSpriteImage_98497C_0_unk04 },
	{ 6585, PeepSpriteImage_98497C_1_unk04 },
	{ 9629, PeepSpriteImage_98497C_2_unk04 },
	{ 9629, PeepSpriteImage_98497C_3_unk04 },
	{ 6697, PeepSpriteImage_98497C_4_unk04 },
	{ 6757, PeepSpriteImage_98497C_5_unk04 },
	{ 6561, PeepSpriteImage_98497C_6_unk04 },
	{ 9581, PeepSpriteImage_98497C_7_unk04 },
	{ 9581, PeepSpriteImage_98497C_8_unk04 },
	{ 6637, PeepSpriteImage_98497C_9_unk04 },
	{ 6645, PeepSpriteImage_98497C_10_unk04 },
	{ 6813, PeepSpriteImage_98497C_11_unk04 },
	{ 11301, PeepSpriteImage_98497C_12_unk04 },
	{ 6825, PeepSpriteImage_98497C_13_unk04 },
	{ 6845, PeepSpriteImage_98497C_14_unk04 },
	{ 6909, PeepSpriteImage_98497C_15_unk04 },
	{ 11325, PeepSpriteImage_98497C_16_unk04 },
	{ 6957, PeepSpriteImage_98497C_17_unk04 },
	{ 11513, PeepSpriteImage_98497C_18_unk04 },
	{ 11513, PeepSpriteImage_98497C_19_unk04 },
	{ 11597, PeepSpriteImage_98497C_20_unk04 },
	{ 11669, PeepSpriteImage_98497C_21_unk04 },
	{ 11669, PeepSpriteImage_98497C_22_unk04 },
	{ 11801, PeepSpriteImage_98497C_23_unk04 },
	{ 11669, PeepSpriteImage_98497C_24_unk04 },
	{ 11377, PeepSpriteImage_98497C_25_unk04 },
	{ 6989, PeepSpriteImage_98497C_26_unk04 },
	{ 7041, PeepSpriteImage_98497C_27_unk04 },
	{ 7101, PeepSpriteImage_98497C_28_unk04 },
	{ 11401, PeepSpriteImage_98497C_29_unk04 },
	{ 7121, PeepSpriteImage_98497C_30_unk04 },
	{ 7149, PeepSpriteImage_98497C_31_unk04 },
	{ 7249, PeepSpriteImage_98497C_32_unk04 },
	{ 7309, PeepSpriteImage_98497C_33_unk04 },
	{ 7329, PeepSpriteImage_98497C_34_unk04 },
	{ 7285, PeepSpriteImage_98497C_35_unk04 },
	{ 7181, PeepSpriteImage_98497C_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_984B88[] = {
	{ 9677, PeepSpriteImage_984B88_0_unk04 },
	{ 6585, PeepSpriteImage_984B88_1_unk04 },
	{ 9797, PeepSpriteImage_984B88_2_unk04 },
	{ 9797, PeepSpriteImage_984B88_3_unk04 },
	{ 6697, PeepSpriteImage_984B88_4_unk04 },
	{ 6757, PeepSpriteImage_984B88_5_unk04 },
	{ 6561, PeepSpriteImage_984B88_6_unk04 },
	{ 9749, PeepSpriteImage_984B88_7_unk04 },
	{ 9749, PeepSpriteImage_984B88_8_unk04 },
	{ 6637, PeepSpriteImage_984B88_9_unk04 },
	{ 6645, PeepSpriteImage_984B88_10_unk04 },
	{ 6813, PeepSpriteImage_984B88_11_unk04 },
	{ 11301, PeepSpriteImage_984B88_12_unk04 },
	{ 6825, PeepSpriteImage_984B88_13_unk04 },
	{ 6845, PeepSpriteImage_984B88_14_unk04 },
	{ 6909, PeepSpriteImage_984B88_15_unk04 },
	{ 11325, PeepSpriteImage_984B88_16_unk04 },
	{ 6957, PeepSpriteImage_984B88_17_unk04 },
	{ 11513, PeepSpriteImage_984B88_18_unk04 },
	{ 11513, PeepSpriteImage_984B88_19_unk04 },
	{ 11597, PeepSpriteImage_984B88_20_unk04 },
	{ 11669, PeepSpriteImage_984B88_21_unk04 },
	{ 11669, PeepSpriteImage_984B88_22_unk04 },
	{ 11801, PeepSpriteImage_984B88_23_unk04 },
	{ 11669, PeepSpriteImage_984B88_24_unk04 },
	{ 11377, PeepSpriteImage_984B88_25_unk04 },
	{ 6989, PeepSpriteImage_984B88_26_unk04 },
	{ 7041, PeepSpriteImage_984B88_27_unk04 },
	{ 7101, PeepSpriteImage_984B88_28_unk04 },
	{ 11401, PeepSpriteImage_984B88_29_unk04 },
	{ 7121, PeepSpriteImage_984B88_30_unk04 },
	{ 7149, PeepSpriteImage_984B88_31_unk04 },
	{ 7249, PeepSpriteImage_984B88_32_unk04 },
	{ 7309, PeepSpriteImage_984B88_33_unk04 },
	{ 7329, PeepSpriteImage_984B88_34_unk04 },
	{ 7285, PeepSpriteImage_984B88_35_unk04 },
	{ 7181, PeepSpriteImage_984B88_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_984D94[] = {
	{ 9845, PeepSpriteImage_984D94_0_unk04 },
	{ 6585, PeepSpriteImage_984D94_1_unk04 },
	{ 9965, PeepSpriteImage_984D94_2_unk04 },
	{ 9965, PeepSpriteImage_984D94_3_unk04 },
	{ 6697, PeepSpriteImage_984D94_4_unk04 },
	{ 6757, PeepSpriteImage_984D94_5_unk04 },
	{ 6561, PeepSpriteImage_984D94_6_unk04 },
	{ 9917, PeepSpriteImage_984D94_7_unk04 },
	{ 9917, PeepSpriteImage_984D94_8_unk04 },
	{ 6637, PeepSpriteImage_984D94_9_unk04 },
	{ 6645, PeepSpriteImage_984D94_10_unk04 },
	{ 6813, PeepSpriteImage_984D94_11_unk04 },
	{ 11301, PeepSpriteImage_984D94_12_unk04 },
	{ 6825, PeepSpriteImage_984D94_13_unk04 },
	{ 6845, PeepSpriteImage_984D94_14_unk04 },
	{ 6909, PeepSpriteImage_984D94_15_unk04 },
	{ 11325, PeepSpriteImage_984D94_16_unk04 },
	{ 6957, PeepSpriteImage_984D94_17_unk04 },
	{ 11513, PeepSpriteImage_984D94_18_unk04 },
	{ 11513, PeepSpriteImage_984D94_19_unk04 },
	{ 11597, PeepSpriteImage_984D94_20_unk04 },
	{ 11669, PeepSpriteImage_984D94_21_unk04 },
	{ 11669, PeepSpriteImage_984D94_22_unk04 },
	{ 11801, PeepSpriteImage_984D94_23_unk04 },
	{ 11669, PeepSpriteImage_984D94_24_unk04 },
	{ 11377, PeepSpriteImage_984D94_25_unk04 },
	{ 6989, PeepSpriteImage_984D94_26_unk04 },
	{ 7041, PeepSpriteImage_984D94_27_unk04 },
	{ 7101, PeepSpriteImage_984D94_28_unk04 },
	{ 11401, PeepSpriteImage_984D94_29_unk04 },
	{ 7121, PeepSpriteImage_984D94_30_unk04 },
	{ 7149, PeepSpriteImage_984D94_31_unk04 },
	{ 7249, PeepSpriteImage_984D94_32_unk04 },
	{ 7309, PeepSpriteImage_984D94_33_unk04 },
	{ 7329, PeepSpriteImage_984D94_34_unk04 },
	{ 7285, PeepSpriteImage_984D94_35_unk04 },
	{ 7181, PeepSpriteImage_984D94_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_984FA0[] = {
	{ 10013, PeepSpriteImage_984FA0_0_unk04 },
	{ 6585, PeepSpriteImage_984FA0_1_unk04 },
	{ 10133, PeepSpriteImage_984FA0_2_unk04 },
	{ 10133, PeepSpriteImage_984FA0_3_unk04 },
	{ 6697, PeepSpriteImage_984FA0_4_unk04 },
	{ 6757, PeepSpriteImage_984FA0_5_unk04 },
	{ 6561, PeepSpriteImage_984FA0_6_unk04 },
	{ 10085, PeepSpriteImage_984FA0_7_unk04 },
	{ 10085, PeepSpriteImage_984FA0_8_unk04 },
	{ 6637, PeepSpriteImage_984FA0_9_unk04 },
	{ 6645, PeepSpriteImage_984FA0_10_unk04 },
	{ 6813, PeepSpriteImage_984FA0_11_unk04 },
	{ 11301, PeepSpriteImage_984FA0_12_unk04 },
	{ 6825, PeepSpriteImage_984FA0_13_unk04 },
	{ 6845, PeepSpriteImage_984FA0_14_unk04 },
	{ 6909, PeepSpriteImage_984FA0_15_unk04 },
	{ 11325, PeepSpriteImage_984FA0_16_unk04 },
	{ 6957, PeepSpriteImage_984FA0_17_unk04 },
	{ 11513, PeepSpriteImage_984FA0_18_unk04 },
	{ 11513, PeepSpriteImage_984FA0_19_unk04 },
	{ 11597, PeepSpriteImage_984FA0_20_unk04 },
	{ 11669, PeepSpriteImage_984FA0_21_unk04 },
	{ 11669, PeepSpriteImage_984FA0_22_unk04 },
	{ 11801, PeepSpriteImage_984FA0_23_unk04 },
	{ 11669, PeepSpriteImage_984FA0_24_unk04 },
	{ 11377, PeepSpriteImage_984FA0_25_unk04 },
	{ 6989, PeepSpriteImage_984FA0_26_unk04 },
	{ 7041, PeepSpriteImage_984FA0_27_unk04 },
	{ 7101, PeepSpriteImage_984FA0_28_unk04 },
	{ 11401, PeepSpriteImage_984FA0_29_unk04 },
	{ 7121, PeepSpriteImage_984FA0_30_unk04 },
	{ 7149, PeepSpriteImage_984FA0_31_unk04 },
	{ 7249, PeepSpriteImage_984FA0_32_unk04 },
	{ 7309, PeepSpriteImage_984FA0_33_unk04 },
	{ 7329, PeepSpriteImage_984FA0_34_unk04 },
	{ 7285, PeepSpriteImage_984FA0_35_unk04 },
	{ 7181, PeepSpriteImage_984FA0_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9851AC[] = {
	{ 10181, PeepSpriteImage_9851AC_0_unk04 },
	{ 6585, PeepSpriteImage_9851AC_1_unk04 },
	{ 10301, PeepSpriteImage_9851AC_2_unk04 },
	{ 10301, PeepSpriteImage_9851AC_3_unk04 },
	{ 6697, PeepSpriteImage_9851AC_4_unk04 },
	{ 6757, PeepSpriteImage_9851AC_5_unk04 },
	{ 6561, PeepSpriteImage_9851AC_6_unk04 },
	{ 10253, PeepSpriteImage_9851AC_7_unk04 },
	{ 10253, PeepSpriteImage_9851AC_8_unk04 },
	{ 6637, PeepSpriteImage_9851AC_9_unk04 },
	{ 6645, PeepSpriteImage_9851AC_10_unk04 },
	{ 6813, PeepSpriteImage_9851AC_11_unk04 },
	{ 11301, PeepSpriteImage_9851AC_12_unk04 },
	{ 6825, PeepSpriteImage_9851AC_13_unk04 },
	{ 6845, PeepSpriteImage_9851AC_14_unk04 },
	{ 6909, PeepSpriteImage_9851AC_15_unk04 },
	{ 11325, PeepSpriteImage_9851AC_16_unk04 },
	{ 6957, PeepSpriteImage_9851AC_17_unk04 },
	{ 11513, PeepSpriteImage_9851AC_18_unk04 },
	{ 11513, PeepSpriteImage_9851AC_19_unk04 },
	{ 11597, PeepSpriteImage_9851AC_20_unk04 },
	{ 11669, PeepSpriteImage_9851AC_21_unk04 },
	{ 11669, PeepSpriteImage_9851AC_22_unk04 },
	{ 11801, PeepSpriteImage_9851AC_23_unk04 },
	{ 11669, PeepSpriteImage_9851AC_24_unk04 },
	{ 11377, PeepSpriteImage_9851AC_25_unk04 },
	{ 6989, PeepSpriteImage_9851AC_26_unk04 },
	{ 7041, PeepSpriteImage_9851AC_27_unk04 },
	{ 7101, PeepSpriteImage_9851AC_28_unk04 },
	{ 11401, PeepSpriteImage_9851AC_29_unk04 },
	{ 7121, PeepSpriteImage_9851AC_30_unk04 },
	{ 7149, PeepSpriteImage_9851AC_31_unk04 },
	{ 7249, PeepSpriteImage_9851AC_32_unk04 },
	{ 7309, PeepSpriteImage_9851AC_33_unk04 },
	{ 7329, PeepSpriteImage_9851AC_34_unk04 },
	{ 7285, PeepSpriteImage_9851AC_35_unk04 },
	{ 7181, PeepSpriteImage_9851AC_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9853B8[] = {
	{ 10349, PeepSpriteImage_9853B8_0_unk04 },
	{ 6585, PeepSpriteImage_9853B8_1_unk04 },
	{ 10469, PeepSpriteImage_9853B8_2_unk04 },
	{ 10469, PeepSpriteImage_9853B8_3_unk04 },
	{ 6697, PeepSpriteImage_9853B8_4_unk04 },
	{ 6757, PeepSpriteImage_9853B8_5_unk04 },
	{ 6561, PeepSpriteImage_9853B8_6_unk04 },
	{ 10421, PeepSpriteImage_9853B8_7_unk04 },
	{ 10421, PeepSpriteImage_9853B8_8_unk04 },
	{ 6637, PeepSpriteImage_9853B8_9_unk04 },
	{ 6645, PeepSpriteImage_9853B8_10_unk04 },
	{ 6813, PeepSpriteImage_9853B8_11_unk04 },
	{ 11301, PeepSpriteImage_9853B8_12_unk04 },
	{ 6825, PeepSpriteImage_9853B8_13_unk04 },
	{ 6845, PeepSpriteImage_9853B8_14_unk04 },
	{ 6909, PeepSpriteImage_9853B8_15_unk04 },
	{ 11325, PeepSpriteImage_9853B8_16_unk04 },
	{ 6957, PeepSpriteImage_9853B8_17_unk04 },
	{ 11513, PeepSpriteImage_9853B8_18_unk04 },
	{ 11513, PeepSpriteImage_9853B8_19_unk04 },
	{ 11597, PeepSpriteImage_9853B8_20_unk04 },
	{ 11669, PeepSpriteImage_9853B8_21_unk04 },
	{ 11669, PeepSpriteImage_9853B8_22_unk04 },
	{ 11801, PeepSpriteImage_9853B8_23_unk04 },
	{ 11669, PeepSpriteImage_9853B8_24_unk04 },
	{ 11377, PeepSpriteImage_9853B8_25_unk04 },
	{ 6989, PeepSpriteImage_9853B8_26_unk04 },
	{ 7041, PeepSpriteImage_9853B8_27_unk04 },
	{ 7101, PeepSpriteImage_9853B8_28_unk04 },
	{ 11401, PeepSpriteImage_9853B8_29_unk04 },
	{ 7121, PeepSpriteImage_9853B8_30_unk04 },
	{ 7149, PeepSpriteImage_9853B8_31_unk04 },
	{ 7249, PeepSpriteImage_9853B8_32_unk04 },
	{ 7309, PeepSpriteImage_9853B8_33_unk04 },
	{ 7329, PeepSpriteImage_9853B8_34_unk04 },
	{ 7285, PeepSpriteImage_9853B8_35_unk04 },
	{ 7181, PeepSpriteImage_9853B8_36_unk04 },
};

static const rct_sprite_image PeepSpriteImage_9855C4[] = {
	{ 10517, PeepSpriteImage_9855C4_0_unk04 },
	{ 6585, PeepSpriteImage_9855C4_1_unk04 },
	{ 10637, PeepSpriteImage_9855C4_2_unk04 },
	{ 10637, PeepSpriteImage_9855C4_3_unk04 },
	{ 6697, PeepSpriteImage_9855C4_4_unk04 },
	{ 6757, PeepSpriteImage_9855C4_5_unk04 },
	{ 6561, PeepSpriteImage_9855C4_6_unk04 },
	{ 10589, PeepSpriteImage_9855C4_7_unk04 },
	{ 10589, PeepSpriteImage_9855C4_8_unk04 },
	{ 6637, PeepSpriteImage_9855C4_9_unk04 },
	{ 6645, PeepSpriteImage_9855C4_10_unk04 },
	{ 6813, PeepSpriteImage_9855C4_11_unk04 },
	{ 11301, PeepSpriteImage_9855C4_12_unk04 },
	{ 6825, PeepSpriteImage_9855C4_13_unk04 },
	{ 6845, PeepSpriteImage_9855C4_14_unk04 },
	{ 6909, PeepSpriteImage_9855C4_15_unk04 },
	{ 11325, PeepSpriteImage_9855C4_16_unk04 },
	{ 6957, PeepSpriteImage_9855C4_17_unk04 },
	{ 11513, PeepSpriteImage_9855C4_18_unk04 },
	{ 11513, PeepSpriteImage_9855C4_19_unk04 },
	{ 11597, PeepSpriteImage_9855C4_20_unk04 },
	{ 11669, PeepSpriteImage_9855C4_21_unk04 },
	{ 11669, PeepSpriteImage_9855C4_22_unk04 },
	{ 11801, PeepSpriteImage_9855C4_23_unk04 },
	{ 11669, PeepSpriteImage_9855C4_24_unk04 },
	{ 11377, PeepSpriteImage_9855C4_25_unk04 },
	{ 6989, PeepSpriteImage_9855C4_26_unk04 },
	{ 7041, PeepSpriteImage_9855C4_27_unk04 },
	{ 7101, PeepSpriteImage_9855C4_28_unk04 },
	{ 11401, PeepSpriteImage_9855C4_29_unk04 },
	{ 7121, PeepSpriteImage_9855C4_30_unk04 },
	{ 7149, PeepSpriteImage_9855C4_31_unk04 },
	{ 7249, PeepSpriteImage_9855C4_32_unk04 },
	{ 7309, PeepSpriteImage_9855C4_33_unk04 },
	{ 7329, PeepSpriteImage_9855C4_34_unk04 },
	{ 7285, PeepSpriteImage_9855C4_35_unk04 },
	{ 7181, PeepSpriteImage_9855C4_36_unk04 },
};


static const rct_sprite_bounds PeepSpriteBounds_9830A0[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_986078[] = {
	{ 12, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 15, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_9862DC[] = {
	{ 10, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 10, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_986700[] = {
	{ 8, 18, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 17, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 15, 19, 6, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_986ADC[] = {
	{ 13, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 14, 24, 7, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 19, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 13, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 14, 25, 8, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 14, 24, 7, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_986D50[] = {
	{ 13, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 16, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 13, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 16, 28, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 16, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_986FD0[] = {
	{ 13, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 17, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 17, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 18, 25, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 17, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_987258[] = {
	{ 13, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 17, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 17, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 18, 25, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 17, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_98751C[] = {
	{ 13, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 17, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 17, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 18, 25, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 17, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_987760[] = {
	{ 13, 24, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 17, 28, 9, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 17, 15, 9, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 18, 28, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 17, 28, 9, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_9879B8[] = {
	{ 16, 32, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 21, 32, 9, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_987C04[] = {
	{ 16, 32, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 21, 32, 9, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_987E30[] = {
	{ 16, 32, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 21, 32, 9, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_9880B8[] = {
	{ 16, 32, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 21, 32, 9, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_988304[] = {
	{ 16, 32, 8, 0 },
	{ 8, 16, 5, 0 },
	{ 10, 23, 7, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 23, 30, 8, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 21, 32, 9, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 23, 30, 15, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_983684[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_98387C[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_983C68[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_984068[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_985CF8[] = {
	{ 11, 28, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 11, 28, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_9858F8[] = {
	{ 11, 19, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 11, 19, 5, 0 },
	{ 11, 19, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 13, 16, 6, 0 },
	{ 13, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_985EBC[] = {
	{ 14, 21, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 14, 21, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 14, 19, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_983A7C[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_986918[] = {
	{ 8, 18, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 17, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 15, 19, 6, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_985AF8[] = {
	{ 11, 19, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 11, 19, 5, 0 },
	{ 11, 19, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 13, 16, 6, 0 },
	{ 13, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_988568[] = {
	{ 12, 32, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 12, 32, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 10, 20, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_98872C[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_98892C[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_988B50[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_983E68[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_984274[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_984480[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_98468C[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_984898[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_984AA4[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_984CB0[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_984EBC[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_9850C8[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_9852D4[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_9854E0[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};

static const rct_sprite_bounds PeepSpriteBounds_9856EC[] = {
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 9, 16, 6, 0 },
	{ 8, 16, 5, 0 },
	{ 18, 16, 11, 0 },
	{ 12, 22, 5, 0 },
	{ 9, 16, 7, 0 },
	{ 10, 22, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 9, 15, 6, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 13, 22, 7, 0 },
	{ 19, 16, 16, 0 },
	{ 13, 22, 7, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 24, 6, 0 },
	{ 11, 16, 5, 0 },
	{ 11, 16, 5, 0 },
	{ 17, 16, 9, 0 },
	{ 11, 16, 5, 0 },
	{ 8, 16, 5, 0 },
	{ 9, 17, 6, 0 },
	{ 9, 16, 5, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
	{ 9, 22, 7, 0 },
};


rct_sprite_entry g_sprite_entries[] =
{
	{ PeepSpriteImage_982888, PeepSpriteBounds_9830A0 },
	{ PeepSpriteImage_985F50, PeepSpriteBounds_986078 },
	{ PeepSpriteImage_9861B4, PeepSpriteBounds_9862DC },
	{ PeepSpriteImage_9865D8, PeepSpriteBounds_986700 },
	{ PeepSpriteImage_9869B4, PeepSpriteBounds_986ADC },
	{ PeepSpriteImage_986C28, PeepSpriteBounds_986D50 },
	{ PeepSpriteImage_986EA8, PeepSpriteBounds_986FD0 },
	{ PeepSpriteImage_987130, PeepSpriteBounds_987258 },
	{ PeepSpriteImage_9873F4, PeepSpriteBounds_98751C },
	{ PeepSpriteImage_987638, PeepSpriteBounds_987760 },
	{ PeepSpriteImage_987890, PeepSpriteBounds_9879B8 },
	{ PeepSpriteImage_987ADC, PeepSpriteBounds_987C04 },
	{ PeepSpriteImage_987D08, PeepSpriteBounds_987E30 },
	{ PeepSpriteImage_987F90, PeepSpriteBounds_9880B8 },
	{ PeepSpriteImage_9881DC, PeepSpriteBounds_988304 },
	{ PeepSpriteImage_98355C, PeepSpriteBounds_983684 },
	{ PeepSpriteImage_983754, PeepSpriteBounds_98387C },
	{ PeepSpriteImage_983B40, PeepSpriteBounds_983C68 },
	{ PeepSpriteImage_983F40, PeepSpriteBounds_984068 },
	{ PeepSpriteImage_985BD0, PeepSpriteBounds_985CF8 },
	{ PeepSpriteImage_9857D0, PeepSpriteBounds_9858F8 },
	{ PeepSpriteImage_985D94, PeepSpriteBounds_985EBC },
	{ PeepSpriteImage_983954, PeepSpriteBounds_983A7C },
	{ PeepSpriteImage_9867F0, PeepSpriteBounds_986918 },
	{ PeepSpriteImage_9859D0, PeepSpriteBounds_985AF8 },
	{ PeepSpriteImage_982AD8, PeepSpriteBounds_9830A0 },
	{ PeepSpriteImage_982C00, PeepSpriteBounds_9830A0 },
	{ PeepSpriteImage_982D28, PeepSpriteBounds_9830A0 },
	{ PeepSpriteImage_982E50, PeepSpriteBounds_9830A0 },
	{ PeepSpriteImage_982F78, PeepSpriteBounds_9830A0 },
	{ PeepSpriteImage_988440, PeepSpriteBounds_988568 },
	{ PeepSpriteImage_988604, PeepSpriteBounds_98872C },
	{ PeepSpriteImage_988804, PeepSpriteBounds_98892C },
	{ PeepSpriteImage_988A28, PeepSpriteBounds_988B50 },
	{ PeepSpriteImage_983D40, PeepSpriteBounds_983E68 },
	{ PeepSpriteImage_98414C, PeepSpriteBounds_984274 },
	{ PeepSpriteImage_984358, PeepSpriteBounds_984480 },
	{ PeepSpriteImage_984564, PeepSpriteBounds_98468C },
	{ PeepSpriteImage_9829B0, PeepSpriteBounds_9830A0 },
	{ PeepSpriteImage_984770, PeepSpriteBounds_984898 },
	{ PeepSpriteImage_983434, PeepSpriteBounds_9830A0 },
	{ PeepSpriteImage_98497C, PeepSpriteBounds_984AA4 },
	{ PeepSpriteImage_984B88, PeepSpriteBounds_984CB0 },
	{ PeepSpriteImage_984D94, PeepSpriteBounds_984EBC },
	{ PeepSpriteImage_984FA0, PeepSpriteBounds_9850C8 },
	{ PeepSpriteImage_9851AC, PeepSpriteBounds_9852D4 },
	{ PeepSpriteImage_9853B8, PeepSpriteBounds_9854E0 },
	{ PeepSpriteImage_9855C4, PeepSpriteBounds_9856EC },
};
